commit 22f340a6c8d174ed83331cefe53bbee35af54a97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 23 11:07:05 2015 +0000

    Release Clutter 1.22.0 (stable)

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 29 insertions(+), 2 deletions(-)

commit 4f8643cea3cf867bfbaa43e5183c144ffdf19314
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 23 10:56:32 2015 +0000

    gdk: Fix mapping between frame clock and stages
    
    While each stage has at most a GdkFrameClock, the same GdkFrameClock
    instance may drive multiple stages per frame. This means that the
    mapping between a GdkFrameClock and a ClutterStage is a 1:M one, not a
    1:1.
    
    We should store a list of stages associated to each frame clock
    instance, so that we can iterate over it when we need to update the
    stages.
    
    This commit fixes redraws of applications using multiple stages,
    especially when using clutter-gtk.

 clutter/gdk/clutter-master-clock-gdk.c | 104 ++++++++++++++++++++++-----------
 1 file changed, 70 insertions(+), 34 deletions(-)

commit 0bb5993b2bc9d746935243f66d0a567790fca44d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Mar 22 15:41:28 2015 +0000

    build: Remove unused internal define
    
    We haven't use HAVE_CLUTTER_GLX internally for a while; the last user
    was Cally, which has been ported to the correct CLUTTER_WINDOWING_X11
    symbol.

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit 38c4807230ad24fd5fb1a154cdff18493fda9760
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sat Mar 21 16:43:09 2015 +0100

    cally-actor: Don't assume X11 backend is used when supported
    
    _cally_actor_get_top_level_origin() uses a compile time check
    without runtime check, which will obviously fail when another
    backend like wayland is used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746575

 clutter/cally/cally-actor.c | 81 +++++++++++++++++++++++----------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit fc5fe98c3f4fb2bea8d8092a9e05c3ab85e858ad
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Mar 21 23:39:42 2015 +0000

    Updated Turkish translation

 po/tr.po | 824 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 417 insertions(+), 407 deletions(-)

commit 50c1c749ba28ca69e67edabc14206e9f9e10f6fe
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Mar 21 23:35:58 2015 +0000

    Updated Turkish translation

 po/tr.po | 2606 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 1674 insertions(+), 932 deletions(-)

commit 474a7d4449a9d2c7a6d4474146c300e45b495756
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 21 16:26:57 2015 +0100

    Updated Danish translation

 po/da.po | 891 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 451 insertions(+), 440 deletions(-)

commit a7fd072c4406c18ed598be66fc8cd9cf63d8ca50
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Mar 21 12:32:33 2015 +0000

    Updated Indonesian translation

 po/id.po | 890 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 447 insertions(+), 443 deletions(-)

commit 6564016d3b9cb2d25d8050b5036d1f80bd804759
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Thu Mar 19 20:46:57 2015 +0100

    Update Aragonese translation

 po/an.po | 1149 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 589 insertions(+), 560 deletions(-)

commit 615b0f46ae487f291f92d6373a8d4bf438f705d8
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Tue Mar 17 10:58:35 2015 +0800

    evdev: Keep track of the pointer coordinate ourself
    
    When multiple relative motion events are received and queued, we can't
    base the relative => absolute motion conversion off of the stage pointer
    position, since that is only updated when the queue is processed at
    the beginning of each frame. The effect of trying to use the stage
    pointer position was that subsequent motion events were effectively
    dropped.
    
    To improve things, switch to keeping track of the pointer position
    ourselves in the evdev backend and adding to that.
    
    This has the side effect of making the internal function
    _clutter_input_device_set_coords not effect the internal coordinate
    state of the evdev stage, but AFAICS there is nothing depending on that
    so that should be fine.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746328

 clutter/evdev/clutter-device-manager-evdev.c | 30 ++++++++++++++++------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 83caeaae9b4e3b372c943573151bd612f15fe17f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 17 13:47:08 2015 +0000

    stage-cogl: Abort realize() if there's no CoglContext
    
    There's no point in trying to go ahead if we don't have a context to
    create the CoglOnscreen framebuffer, and Cogl will crash anyway if we
    pass NULL to the constructor.

 clutter/cogl/clutter-stage-cogl.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6355b5ab786ac7b979a4d8c2fc7b925b696febd1
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Mar 15 17:47:29 2015 +0000

    Added Kazakh translation

 po/kk.po | 2806 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2806 insertions(+)

commit ce8b644b7850f3d9a7d8a9645cea08e32f2699dd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Mar 15 16:15:45 2015 +0000

    Post-release version bump to 1.21.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 414907983e88b83328d2e65895d09981efd16ba4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Mar 15 16:06:30 2015 +0000

    Release Clutter 1.21.8

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 5a294124da266a12213660c502ab90f776b864ae
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Mar 15 16:05:10 2015 +0000

    build: Remove unnecessary argument for gtkdoc-scan
    
    We don't use deprecation guards any more, in favour of compiler
    annotations and gtk-doc annotations.

 doc/reference/clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce2d86515a58042011b41066492833d189f3fd1a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Mar 15 15:10:31 2015 +0000

    rectangle: Fix the border drawing conditions
    
    And reorganize the code a bit while we're at it.

 clutter/deprecated/clutter-rectangle.c | 117 +++++++++++++++++----------------
 1 file changed, 62 insertions(+), 55 deletions(-)

commit 239280f855db26fec93646af51bbc772478ef698
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 28 22:08:03 2015 +0000

    stage-cogl: Fix damage tracking with varying buffer ages
    
    With server-side buffer allocation, buffers may be returned out of order
    (e.g. they may be held onto by external references or hardware). As such
    we may see older buffers the frame after we discard the history from
    seeing a very young buffer. To overcome this we want to keep the history
    in a ring so we can keep track of older entries without keeping an
    unbounded list. After converting to a ring, the maximum buffer age
    observed during testing was 5 (expected value of 4), but before we could
    see ages as high as 9 due to the huge latency spikes caused by doing full
    buffer redraws (compounded by external listeners doing readback on the
    damaged areas, for example vnc, drm/udl, prime). For this reason, a
    maximum age of 16 was chosen to be suitably large enough to prevent these
    worst cases from taxing the system.
    
    v2: Fix off-by-one in combining the damage histroy into the clipping
    rectangle, and apply copious whitespace fixes.
    
    Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=745512
    References: https://bugzilla.gnome.org/show_bug.cgi?id=724788
    References: https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/cogl/clutter-stage-cogl.c | 108 ++++++++++++++++++--------------------
 clutter/cogl/clutter-stage-cogl.h |   5 +-
 2 files changed, 54 insertions(+), 59 deletions(-)

commit 55c957267ef241767ebd3891d49f06deb2ff4aa9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 2 12:11:30 2015 +0000

    stage-cogl: Use swap buffers with damage
    
    cogl provides an interface to pass along damage with the swap buffers
    request. This is useful for the display servers and hardware to minimise
    the work done in updating the screen and also reducing the work done by
    external listeners (such as vnc, drm/udl and PRIME).
    
    Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=745512

 clutter/cogl/clutter-stage-cogl.c | 52 +++++++++++++++++++++++----------------
 1 file changed, 31 insertions(+), 21 deletions(-)

commit a82b97e00050b578e8b11e1bdd31ab05c26a4f9d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Mar 14 23:26:39 2015 +0000

    build: The EGL backend is no longer experimental
    
    It's used by GNOME Shell on Wayland, and it's automatically tested on
    build.gnome.org — I say we can remove the experimental backend flag.

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit 6de341392126e83e098a360b2d77f6259ee09a23
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Mar 14 23:15:01 2015 +0000

    rectangle: Do not draw the border if bigger than the allocation
    
    If the rectangle is allocate a size smaller than the border, drawing the
    border will end up with negative coordinates, and will mess up the whole
    thing. Since rectangles don't have a minimum preferred size, we cannot
    rely on the allocation being big enough to contain the border and the
    background color.
    
    If the rectangle is smaller than the border width value, we just paint
    the border color as well.

 clutter/deprecated/clutter-rectangle.c | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit 56baa51b1a7a8d7bc30909cfc80f2886d4069e34
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:57:36 2015 +0000

    Added Bosnian translation

 po/bs.po | 2836 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2836 insertions(+)

commit a740366369d5c112c7aade7cb090e7088ad81dad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 12 17:42:22 2015 +0000

    ignore: Add gtkdoc-check files

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 8af4dfc8aefabe393e8e0ac5cb12eb169effdc05
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 12 17:40:24 2015 +0000

    build: Enable gtk-doc check
    
    This should catch missing symbols during `make check`, and hopefully
    lead to their addition prior to a release.

 doc/reference/clutter/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 34b03aebafb5e4b8ed816dc1536a1f4e69c24b6d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 12 17:39:26 2015 +0000

    build: Add missing Mir includes for gtk-doc
    
    If we don't specify the files, gtk-doc won't find the symbols even if
    they are documented.

 doc/reference/clutter/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1912f28063390c06aabeacc5e0634e8f2a52a23d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 11 15:39:42 2015 +0000

    docs: Remove leftover DocBook tags
    
    We use markdown for the documentation.

 clutter/clutter-color.c           |  7 +++----
 clutter/clutter-main.c            |  2 +-
 clutter/clutter-paint-node.c      |  7 +++----
 clutter/clutter-paint-nodes.c     | 10 +++++-----
 clutter/clutter-script.c          |  5 ++---
 clutter/clutter-settings.c        |  2 +-
 clutter/x11/clutter-backend-x11.c |  8 +++-----
 7 files changed, 18 insertions(+), 23 deletions(-)

commit c0d01f87d451cea0811df169f20a394360a40920
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 12 21:47:36 2015 +0200

    Updated Latvian translation

 po/lv.po | 1077 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 540 insertions(+), 537 deletions(-)

commit a9d60574028c679932f61a72812485391dd2c951
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Mar 9 11:44:53 2015 +0000

    Updated Slovak translation

 po/sk.po | 1546 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 795 insertions(+), 751 deletions(-)

commit fefc2b53210d18ee62153631f78a048127119e66
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 16:39:01 2015 +0000

    docs: Improve more deprecation notices

 clutter/deprecated/clutter-alpha.c        | 38 ++++++++++++++++++-------------
 clutter/deprecated/clutter-animator.c     |  4 +++-
 clutter/deprecated/clutter-behaviour.c    | 13 ++++-------
 clutter/deprecated/clutter-fixed.h        |  3 ++-
 clutter/deprecated/clutter-frame-source.c |  8 +++----
 clutter/deprecated/clutter-group.c        |  7 ++++--
 clutter/deprecated/clutter-media.c        |  3 ++-
 clutter/deprecated/clutter-shader.c       |  2 +-
 clutter/deprecated/clutter-state.c        |  5 +++-
 clutter/deprecated/clutter-timeout-pool.c |  6 ++---
 10 files changed, 51 insertions(+), 38 deletions(-)

commit 0b32b3a96a8c93929cbd1c71951508757d58452a
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Mar 8 15:41:58 2015 +0000

    Updated Italian translation

 po/it.po | 1120 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 553 insertions(+), 567 deletions(-)

commit 4a55faf36ac8515ca0a5bebf0961b43e8aa20e4a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 8 14:25:06 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 1120 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 559 insertions(+), 561 deletions(-)

commit fc9248b3b63a5e1deccb814209799bf54ad6e87b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:47:45 2015 +0800

    MSVC Builds: Rename "Install" projects
    
    Rename the install projects to clutter-install so that it would be easier
    to use the project file set as a part of a grand solution file, such as
    one that is used to build the entire Clutter stack.

 build/win32/vs10/Makefile.am             |   2 +-
 build/win32/vs10/clutter-install.vcxproj | 181 +++++++++++++++++++++++++++++++
 build/win32/vs10/clutter.sln             |   2 +-
 build/win32/vs10/install.vcxproj         | 181 -------------------------------
 build/win32/vs9/Makefile.am              |   2 +-
 build/win32/vs9/clutter-install.vcproj   |  80 ++++++++++++++
 build/win32/vs9/clutter.sln              |   2 +-
 build/win32/vs9/install.vcproj           |  80 --------------
 8 files changed, 265 insertions(+), 265 deletions(-)

commit 2312d26dfe1004af97fe5d6097ccc77604e5064a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:45:59 2015 +0800

    MSVC Builds: "Install" .pdb Files
    
    "Install" the .pdb file for the Clutter DLL, that is already built
    alongside with it with all builds.  This commit will disable, for now,
    the "installation" of the test/sample programs.

 build/win32/vs10/clutter-install.props  | 6 +++---
 build/win32/vs9/clutter-install.vsprops | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit ddf1962c98151ed37d886765904bb3d6d7fc0923
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:44:17 2015 +0800

    MSVC 2010 Builds: Fix .pdb Generation
    
    In order to make the .pdb filename match the filename of the target, the
    .pdb filename must be specified for Visual Studio builds, if the target
    filename does not match the project name.  Update the Clutter main project
    accordingly.

 build/win32/vs10/clutter.vcxprojin | 8 ++++++++
 1 file changed, 8 insertions(+)

commit aa62a5cb7fc7845dc5f9a0aaf116c7c26d79b33b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:37:04 2015 +0800

    MSVC Builds: Speed Up Release Builds
    
    Use the multipropcessor compilation (/MP) option, which can help cut down
    build times for release builds by quite a bit.  A warning will be emitted
    for debug builds, due to the use of /Gm, but the build will otherwise
    proceed normally.
    
    Also use the /d2Zi+ compiler flag for MSVC 2010 (and later) builds, so that
    more useful info would be logged to the .pdb files that are generated
    during the build.

 build/win32/vs10/clutter-build-defines.props  | 2 ++
 build/win32/vs9/clutter-build-defines.vsprops | 1 +
 2 files changed, 3 insertions(+)

commit 432a38722abcac5b7b33874fc712630642b36b5f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:26:08 2015 +0800

    MSVC 2010 Builds: Clean Up "Install"
    
    Remove the empty lines from the property sheet that is really not necessary

 build/win32/vs10/clutter-install.props | 147 ---------------------------------
 1 file changed, 147 deletions(-)

commit 133545c0e187af63d3da7e34098c73dd34983abe
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 6 18:15:08 2015 +0800

    MSVC Builds: Update Clutter Main Project
    
    There is a new source needed to build the GDK backend, so include that in
    the project files.

 build/win32/vs10/clutter.vcxproj.filtersin | 3 ++-
 build/win32/vs10/clutter.vcxprojin         | 8 +++++++-
 build/win32/vs9/clutter.vcprojin           | 8 +++++++-
 3 files changed, 16 insertions(+), 3 deletions(-)

commit 79b1253bc821fd950f415710400e88fdd08f83c5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 13:18:37 2015 +0000

    docs: Improve deprecation notices for ClutterAnimation

 clutter/deprecated/clutter-animation.c | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

commit 2a5b6d87538b648e95ade58f5f0a12cf13d624e1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 13:16:59 2015 +0000

    docs: Add anchors to sections in ClutterActor's description

 clutter/clutter-actor.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 6bed552cfe9479f44fdad9dbbb8c23006d48324e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 13:04:09 2015 +0000

    docs: Improve deprecation notices for ClutterTableLayout

 clutter/deprecated/clutter-table-layout.c | 46 ++++++++++++++++++-------------
 1 file changed, 27 insertions(+), 19 deletions(-)

commit 51b46bc093e839eac73df761e8dde75dca0e1ec1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 12:57:26 2015 +0000

    docs: Improve deprecation notices for ClutterBox

 clutter/deprecated/clutter-box.c | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 423a126c95c2318394ea511059ee74001a3ae8c9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 5 12:57:08 2015 +0000

    docs: Improve deprecation notices for ClutterRectangle

 clutter/deprecated/clutter-rectangle.c | 33 ++++++++++++++++++++++++++++++---
 1 file changed, 30 insertions(+), 3 deletions(-)

commit c8f0279ad81e658b3e8e5cc1a10b7fb47aae9789
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 5 00:09:12 2015 +0100

    Updated Polish translation

 po/pl.po | 1013 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 509 insertions(+), 504 deletions(-)

commit c8c5e06f1f016b4a9551210fe22d9954a3c0f20d
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Mar 4 17:20:17 2015 +0000

    Updated Greek translation

 po/el.po | 683 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 347 insertions(+), 336 deletions(-)

commit ec26ae2b5a1f38032930e44ef6a982590504622e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 4 16:08:18 2015 +0000

    docs: Update deprecation notes for ClutterTexture
    
    Point to ClutterImage, ClutterContent, and ClutterActor where needed, so
    that developers trying to port their code will have a chance at figuring
    out how.

 clutter/deprecated/clutter-texture.c | 99 +++++++++++++++++++++++-------------
 clutter/deprecated/clutter-texture.h | 18 +++----
 2 files changed, 72 insertions(+), 45 deletions(-)

commit 253292802cef191cf8c06ee8b337104f7e73279f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 17:37:02 2015 +0000

    Drop the UProf dependency
    
    Nobody has been compiling Clutter with profiling enabled in a long time.
    
    UProf itself hasn't been updated in 5 years, and it still depends on
    deprecated components like dbus-glib, with no port to GDBus in sight.
    
    The profiling code was moderately useful in the past, but these days
    it's probably better to profile Cogl than Clutter itself; timing
    information can be extracted by the timestamp on each diagnostic message
    that is now available by default in the CLUTTER_NOTE macro, and we can
    add ad hoc counters where needed.

 README.in                              |  12 --
 README.md                              |   4 -
 clutter/Makefile.am                    |   5 +-
 clutter/clutter-actor.c                |  15 --
 clutter/clutter-backend.c              |   1 -
 clutter/clutter-main.c                 | 135 ----------------
 clutter/clutter-master-clock-default.c |  31 ----
 clutter/clutter-profile.c              | 283 ---------------------------------
 clutter/clutter-profile.h              |  74 ---------
 clutter/clutter-stage.c                | 119 --------------
 clutter/clutter-text.c                 |  28 ----
 clutter/cogl/clutter-stage-cogl.c      |  27 ----
 clutter/gdk/clutter-master-clock-gdk.c |  31 ----
 configure.ac                           |  45 +-----
 doc/reference/clutter/Makefile.am      |   1 -
 tests/conform/Makefile.am              |   3 +-
 16 files changed, 4 insertions(+), 810 deletions(-)

commit df15f04fc0474be09e6839618c598d43aee920e5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 17:23:37 2015 +0000

    build: Use libtool macros to find libm
    
    Instead of using `-lm` everywhere, use LT_LIB_M inside configure.ac, and
    $(LIBM) inside Makefile.am.

 clutter/Makefile.am               | 19 ++++---------------
 configure.ac                      |  1 +
 doc/cookbook/examples/Makefile.am |  2 +-
 examples/Makefile.am              |  8 +-------
 tests/conform/Makefile.am         |  2 +-
 tests/interactive/Makefile.am     |  2 +-
 tests/micro-bench/Makefile.am     |  2 +-
 tests/performance/Makefile.am     |  2 +-
 8 files changed, 11 insertions(+), 27 deletions(-)

commit 4591435c35b920e21a8885e58ebd7779acc2a7a5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:25:13 2015 +0000

    Post-release version bump to 1.21.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b4a7a9964796150240f8b19fe4f47a769b94b83
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:16:39 2015 +0000

    Release Clutter 1.21.6

 NEWS         | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 50 insertions(+), 1 deletion(-)

commit b33c523243eac860a0f8aaabd6980075b4fb7d58
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:15:31 2015 +0000

    docs: Add missing sections to the Clutter API reference

 doc/reference/clutter/clutter-docs.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 54da12762bbcdc34fa58dc937e146d584a52a8f9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:15:14 2015 +0000

    docs: Add missing symbols to the Clutter API reference

 doc/reference/clutter/clutter-sections.txt | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 4bfb3650b3d0792de87a44244b65b44107e775d0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:14:45 2015 +0000

    build: Add missing files to the API reference build

 doc/reference/clutter/Makefile.am | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit faf90f5ddd98b8861b4074178fa2e257bf7100ea
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 16:14:15 2015 +0000

    docs: Fix a gtk-doc annotation in the Mir backend

 clutter/mir/clutter-backend-mir.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73e6f4e69df1b464c40e4652ed3cffccb003e7bb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 15:54:36 2015 +0000

    build: Add top_builddir to the API reference sources
    
    Otherwise gtk-doc won't be able to find some generated files.

 doc/reference/clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b70343d09368b26ee8a21eb0bc51a35f3ecafcf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 15:53:04 2015 +0000

    docs: Minimal fixes for the API reference

 clutter/clutter-actor.c                      |  6 +++---
 clutter/clutter-color.c                      |  8 ++++----
 clutter/clutter-feature.c                    |  4 ++--
 clutter/clutter-group.h                      |  4 ++--
 clutter/clutter-main.c                       |  2 +-
 clutter/clutter-script.c                     |  2 +-
 clutter/clutter-stage.c                      |  2 +-
 clutter/clutter-stage.h                      |  4 ++--
 clutter/clutter-test-utils.c                 | 18 +++++++++---------
 clutter/clutter-texture.h                    |  4 ++--
 clutter/deprecated/clutter-rectangle.h       |  4 ++--
 clutter/evdev/clutter-device-manager-evdev.c |  4 ++--
 clutter/evdev/clutter-evdev.h                |  4 +++-
 13 files changed, 34 insertions(+), 32 deletions(-)

commit a9861b34190916413dab61f782b37396f6784361
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 3 15:16:33 2015 +0000

    docs: Note that the GDK backend is the new default
    
    Update the release notes with this piece of information.

 README.in | 8 ++++++++
 1 file changed, 8 insertions(+)

commit a3ecf37e34c02c5df3450ce2cd4ef3c224e61c4c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Mar 2 20:24:15 2015 +0100

    Updated Serbian translation

 po/sr.po       | 1009 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 1009 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 1014 insertions(+), 1004 deletions(-)

commit 3b98103b72b864d590d644a8ee237f63ffe373bd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 2 16:08:18 2015 +0000

    gdk/stage: Warn if CoglContext is not available
    
    Instead of crashing inside Cogl later on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745229

 clutter/gdk/clutter-stage-gdk.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 97ea9e973d2853032b4689c4a9cad0e0a88bccae
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Feb 28 21:23:59 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 1009 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 505 insertions(+), 504 deletions(-)

commit 9341035a30f1dd745a0ad6d86b10e04556cb6812
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Feb 26 20:38:46 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1005 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 505 insertions(+), 500 deletions(-)

commit 36780b07b19ab9da68f07ab211a3f447cae8eaab
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 24 09:48:03 2015 +0000

    Updated French translation

 po/fr.po | 869 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 441 insertions(+), 428 deletions(-)

commit c32dc3408092dc996178312db95d94a18b161275
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu May 8 18:52:09 2014 -0400

    Allow setting up quad-buffer stereo output
    
    Add clutter_x11_set_use_stereo_stage() that can be called
    before clutter_init() so that the CoglDisplay we create and all
    stages created from that CoglDisplay will be created with a
    stereo fbconfig.
    
    This is done in clutter-x11 because of the similarity to the
    existing clutter_x11_set_use_argb_visual(), and because it's
    not clear without other examples whether the need to have
    stereo enabled from before clutter_init() is universal or
    somethign specific to GLX.
    
    Cogl required version is increased to 1.20, which has the
    required API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732706

 clutter/x11/clutter-backend-x11.c | 170 +++++++++++++++++++++++++++++---------
 clutter/x11/clutter-x11.h         |   5 ++
 configure.ac                      |   2 +-
 3 files changed, 136 insertions(+), 41 deletions(-)

commit 82926e9532e10cb8af9ab1a1dbaa1c523b68774d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 11:17:52 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 873 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 441 insertions(+), 432 deletions(-)

commit 77db9993391c8c575b5154cb4559417e2e90dd33
Author: Marco Trevisan (Treviño) <marco@ubuntu.com>
Date:   Fri Feb 20 17:41:49 2015 +0100

    clutter: add Mir windowing/input backend
    
    Added support for Mir, now clutter can natively draw on MirSurfaces.
    This depends on latest cogl git.
    
    Run your clutter apps using CLUTTER_BACKEND=mir
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 clutter/Makefile.am                      |  31 ++-
 clutter/clutter-backend.c                |  19 ++
 clutter/clutter-main.c                   |   9 +
 clutter/mir/clutter-backend-mir-priv.h   |  46 ++++
 clutter/mir/clutter-backend-mir.c        | 231 ++++++++++++++++++
 clutter/mir/clutter-backend-mir.h        |  55 +++++
 clutter/mir/clutter-device-manager-mir.c | 192 +++++++++++++++
 clutter/mir/clutter-device-manager-mir.h |  64 +++++
 clutter/mir/clutter-event-mir.c          | 395 +++++++++++++++++++++++++++++++
 clutter/mir/clutter-event-mir.h          |  40 ++++
 clutter/mir/clutter-input-device-mir.c   |  55 +++++
 clutter/mir/clutter-input-device-mir.h   |  45 ++++
 clutter/mir/clutter-mir.h                |  57 +++++
 clutter/mir/clutter-stage-mir.c          | 293 +++++++++++++++++++++++
 clutter/mir/clutter-stage-mir.h          |  64 +++++
 configure.ac                             |  48 ++++
 16 files changed, 1642 insertions(+), 2 deletions(-)

commit 10cce0044006ee42e6e598f50af622ac63a324fd
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Jun 4 23:42:04 2012 +0200

    ClutterActor: expose setter for the opacity override
    
    Toolkits may need to paint actors internally outside the normal tree
    (for example to create a shadow shape), in which case they need to
    control the opacity directly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677412
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 clutter/clutter-actor-private.h            |  3 ---
 clutter/clutter-actor.c                    | 38 ++++++++++++++++++++++++++----
 clutter/clutter-actor.h                    |  5 ++++
 clutter/clutter-clone.c                    |  5 ++--
 clutter/clutter-offscreen-effect.c         |  6 ++---
 doc/reference/clutter/clutter-sections.txt |  2 ++
 6 files changed, 47 insertions(+), 12 deletions(-)

commit 65032da551dc7400ce11e4a3e1807d77e2c3b0cf
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 19 12:21:54 2015 +0100

    Updated Galician translations

 po/gl.po | 973 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 493 insertions(+), 480 deletions(-)

commit a4d0b157b6ee84b3257264ce63abc843d4aa84f2
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Feb 17 23:59:59 2015 +0000

    gdk: master-clock: force scheduling new frames for timelines alive
    
    As long as we have timelines alive, we need to keep asking the
    GdkFrameClock for new frames. Otherwise animations might stall.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744684

 clutter/gdk/clutter-master-clock-gdk.c | 40 ++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 16 deletions(-)

commit 018cd7bb5cd3b4a8dd4120de5d2eeb59e06b0276
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Tue Feb 17 14:52:17 2015 +0000

    gdk: implement a MasterClock based on GdkFrameClock
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744668

 clutter/Makefile.am                    |   2 +
 clutter/clutter-master-clock.c         |  13 +-
 clutter/gdk/clutter-master-clock-gdk.c | 521 +++++++++++++++++++++++++++++++++
 clutter/gdk/clutter-master-clock-gdk.h |  48 +++
 clutter/gdk/clutter-stage-gdk.c        |  60 ++++
 5 files changed, 643 insertions(+), 1 deletion(-)

commit e94285693f6f29147cb896b6975bf0c477437977
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Tue Feb 17 14:50:13 2015 +0000

    main: Make the MasterClock an interface
    
    Move the implementation of the MasterClock into MasterClockDefault, so
    backends can provide their own implementation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744668

 clutter/Makefile.am                    |   4 +-
 clutter/clutter-master-clock-default.c | 716 +++++++++++++++++++++++++++++++++
 clutter/clutter-master-clock-default.h |  48 +++
 clutter/clutter-master-clock.c         | 657 +-----------------------------
 clutter/clutter-master-clock.h         |  25 +-
 5 files changed, 807 insertions(+), 643 deletions(-)

commit a9f2300af1a6d15caabd3bfcdce2c998410171cf
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Mon Feb 16 16:26:53 2015 +0000

    stage: Process state update event immediately
    
    The _clutter_stage_update_state() function is currently putting events
    into the Clutter event queue. This leads to problems in the gdk
    backend because there are assumptions upon the numbers of queued
    events, and how many of them should be moved from the main event queue
    to the ClutterStages' event queues.
    
    This change triggers the processing of the state update events on the
    stage directly, so the main event queue retains the expected number of
    events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744604

 clutter/clutter-stage.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 344e13844d050e9c24073747ddd0eaf113c40a94
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Feb 15 21:11:03 2015 +0100

    Updated Slovenian translation

 po/sl.po | 581 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 297 insertions(+), 284 deletions(-)

commit d94b3e39c2ef6664d7c343133c6f5f45d6e09fcf
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sat Feb 14 17:09:50 2015 +0300

    Updated Russian translation

 po/ru.po | 878 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 442 insertions(+), 436 deletions(-)

commit faa386070efbf90373b3a35410d42da8dc5ecb96
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Feb 7 11:26:16 2015 +0100

    Updated Basque language

 po/eu.po | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 6c057e3171607d3cbfa61ec57c1fff6c5d72b14c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Oct 8 12:11:51 2014 -0700

    input-device: Reset the focused actor when it becomes unreactive
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743865

 clutter/clutter-input-device.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit b192ad1300996d382d35a2665ef76c53dd1f3ff9
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Feb 5 17:56:37 2015 +0100

    gdk: Disable cogl wayland event dispatching if requested
    
    If gdk event retrieval has been disabled and gdk's backend is wayland
    we must also disable cogl's wayland event dispatching otherwise cogl
    will try to dispatch wayland events itself which blocks the main
    loop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744058

 clutter/gdk/clutter-backend-gdk.c | 1 +
 1 file changed, 1 insertion(+)

commit e9e9578dca773f1592b366376d5e4a75719f0bbd
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Jan 28 12:12:48 2015 +0800

    evdev: Ignore non seat wide pointer button events
    
    Pointer button events will be received from a device where a button has
    been pressed, even though an equivalent button has been pressed (same
    button code) on a device connected to the same seat. notify_button()
    expects to only be called as if there was only one pointer device
    associated with the given seat, so to achieve this, ignore every event
    where forwarding it would result in multiple 'pressed' or 'released'
    notifications.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743615

 clutter/evdev/clutter-device-manager-evdev.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 32ce45aa894f54a3cabfac53a6733ac182a424e8
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Jan 28 12:11:34 2015 +0800

    evdev: Ignore non seat wide keyboard key events
    
    Keyboard key events will be received from a device where a key has
    been pressed, even though an equivalent key has been pressed (same
    key code) on a device connected to the same seat. notify_key()
    expects to only be called as if there was only one keyboard device
    associated with the given seat, so to achieve this, ignore every event
    where forwarding it would result in multiple 'pressed' or 'released'
    notifications.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743615

 clutter/evdev/clutter-device-manager-evdev.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 145d11227a43370ee228a526a66e06d8be0a5276
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 22:24:21 2015 +0100

    Updated Czech translation

 po/cs.po | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 7f5e1304077b83eecc8577239227a97b3734d949
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jan 30 21:32:13 2015 +0000

    Updated Hungarian translation

 po/hu.po | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit d16365ae63f7f8eb7af3484b5d728798a3a7f7e4
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jan 26 22:15:44 2015 +0200

    Updated Hebrew translation

 po/he.po | 415 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 214 insertions(+), 201 deletions(-)

commit 7bc6559519ee0dd104a75825d1c3262807556b1d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 23 11:42:24 2015 +0100

    Updated Spanish translation

 po/es.po | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit c185d2187bc3a82eea6ad24bd2c5a9716d2a785f
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Thu Jan 22 15:38:48 2015 +0000

    gdk: report an error when initialization fails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743355

 clutter/gdk/clutter-backend-gdk.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8a24892f2d80442b0cc075e0bc1b0cd717af2ddd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 22 14:13:11 2015 +0000

    Depend on a Cairo release with cairo_surface_set_device_scale()
    
    We are checking for Cairo ≥ 1.12 and then do an additional check for the
    existence of the cairo_surface_set_device_scale() function because there
    were no stable releases of Cairo with it. Now that Cairo 1.14 is out, we
    can simply bump up the dependency.

 clutter/clutter-canvas.c |  2 --
 configure.ac             | 14 +-------------
 2 files changed, 1 insertion(+), 15 deletions(-)

commit 573536f6540903b3438cf6815f983a328de34f64
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 22 14:08:33 2015 +0000

    Post-release version bump to 1.21.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18b7d31a08c5a31549ea6a9dbfbf79c23601c2d8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 22 13:44:01 2015 +0000

    Release Clutter 1.21.4

 NEWS         | 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 44 insertions(+), 1 deletion(-)

commit f65792e1607071b752177eb1bf6fb594df2c9852
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 22 13:42:25 2015 +0000

    docs: Add symbols to the private section

 doc/reference/clutter/clutter-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 6ed0a7583c3ae1f3d187dca79a43efcc013868b3
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jan 21 10:52:32 2015 +0100

    Updated Czech translation

 po/cs.po | 992 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 498 insertions(+), 494 deletions(-)

commit 2fd5173ea406a625f740caf4003625774403560c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Jan 17 17:09:25 2015 +0100

    Updated Basque language

 po/eu.po | 581 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 295 insertions(+), 286 deletions(-)

commit ede13b11d72a310e535f9a6f0b7e3f774f5529dc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 16 01:03:52 2015 +0100

    evdev: use libinput's new merged scroll events
    
    libinput's API changed from separate scroll events for vert/horiz scrolling to
    a single event that contains both axes if they changed.
    
    Updated by Armin K. to use the discrete axis value for wheel events as done
    in Weston.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742829

 clutter/evdev/clutter-device-manager-evdev.c | 40 +++++++++++++++++++---------
 configure.ac                                 |  2 +-
 2 files changed, 28 insertions(+), 14 deletions(-)

commit 7eb1a3d35f7bcf517cf98b7c6067197e0f83232f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 13 00:46:47 2015 +0000

    Deprecate unused enumeration types
    
    Some enumerations types are only used by deprecated API, so it's better
    to deprecate them as well.

 clutter/clutter-enums.h | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 8859ed44e176656a54f7d75270e4ac3b498eaeae
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 17:48:04 2015 +0000

    gdk: Support GdkWayland
    
    We need to set up the Wayland display when using GDK and Wayland's
    client-side API.

 clutter/gdk/clutter-backend-gdk.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 00efa5371d709c134695a3c142b310f1b630ce0a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 15:05:02 2015 +0000

    gdk: Compare integer values
    
    Stage sizes are always pixel aligned, so we can do a proper
    integer comparison.

 clutter/gdk/clutter-event-gdk.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2aac32694c85ee077aff32adef8abc207703e9c0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 15:04:27 2015 +0000

    gdk: Implement get_scale_factor()
    
    Otherwise scaling will not work correctly.

 clutter/gdk/clutter-stage-gdk.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 87c553e94f2de3f434a7d28a033203faca0245f2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 13:42:59 2015 +0000

    docs: Deprecate ClutterTextureFlags
    
    It's pointless, now that ClutterTexture has been deprecated.

 clutter/clutter-enums.h | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit e77adac16a819001c65664f40568d57eedd8e033
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 13:42:33 2015 +0000

    docs: Remove a couple of FIXMEs
    
    Document the ClutterKeyframeTransition instance and class structures.

 clutter/clutter-keyframe-transition.h | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4e04d2a532c816f0a1222a50a5ca28310b0b9035
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 12 11:41:39 2015 +0000

    examples/rounded: Use CLUTTER_REQUEST_CONTENT_SIZE
    
    Show how to use the request mode to have an actor ask for the size of
    its content.

 examples/rounded-rectangle.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c55b8fdaf8396494d5e11325966256a38ba8c524
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 12 12:14:52 2015 +0100

    Updated Spanish translation

 po/es.po | 1002 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 501 insertions(+), 501 deletions(-)

commit d56da0ace9bfcb0948d734b148e7e186eb7150b4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jan 11 17:00:02 2015 +0000

    examples/layout-manager: Toggle between states
    
    Instead of using two specific keys, toggle between the circular and grid
    layouts using a single key.

 examples/layout-manager.c | 31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)

commit 60dbeb9425f51fc602ba2fe89b2a968ef4b527ed
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jan 11 16:48:47 2015 +0000

    Try again at using the GDK backend by default
    
    We tried once with commit 398a7ac7 and ended up reverting because of
    regressions in the input layer and on Wayland.
    
    We should try again, now that those regressions have been fixed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734587

 clutter/clutter-backend.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7b9068b976dc40be419982a7e8b0c299c21e9f51
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Jan 10 10:51:10 2015 +0000

    Updated Hungarian translation

 po/hu.po | 1006 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 500 insertions(+), 506 deletions(-)

commit f5f523c63ae1f7c2fa6a4d5b097db869af0b0186
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 25 21:11:03 2014 +0100

    evdev: Set vendor/product IDs on input devices
    
    This is fetched right away from libinput API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740759

 clutter/evdev/clutter-input-device-evdev.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit c0d5d58e8bc6d96dbd334722f6422d8270ae397f
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 25 21:10:32 2014 +0100

    x11: Set vendor/product IDs on input devices
    
    This is fetched from XInput device properties
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740759

 clutter/x11/clutter-device-manager-xi2.c | 41 ++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit 78fdefcf0cf917f47ef18d4ea9ce1064d86ffc54
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 25 21:09:32 2014 +0100

    input-device: Add vendor/product ID properties and getters
    
    This may be useful when trying to identify the device across sessions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740759

 clutter/clutter-device-manager-private.h   |  3 ++
 clutter/clutter-input-device.c             | 87 ++++++++++++++++++++++++++++++
 clutter/clutter-input-device.h             |  5 ++
 doc/reference/clutter/clutter-sections.txt |  2 +
 4 files changed, 97 insertions(+)

commit 9660b001f7ee410bcbff545989a708b103e6faaf
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Fri Jan 9 05:06:32 2015 -0500

    device-manager-xi2: Fix scaling of coordinates
    
    Do not CLAMP to width/height before applying the scale factor
    we will lose all information we need to scale properly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730815

 clutter/x11/clutter-device-manager-xi2.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1227f7c489e838c963aaf76328d4b381c51f9fe1
Merge: 77ec877 c04c631
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jan 3 20:40:09 2015 +0000

    Merge branch 'clutter-1.22' back into master
    
    This is the bulk of the clutter-1.22 → master merge.
    
    The clutter-1.22 branch is where the current development of Clutter
    happens, and contains all the history of the project after the API
    bump branch point.

commit 77ec8774a08c884d8acdf6c5f36a3e5003596626
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jan 3 20:34:20 2015 +0000

    WARNING: Massive revert commit
    
    Revert all the work that happened on the master branch.
    
    Sadly, this is the only way to merge the current development branch back
    into master.
    
    It is now abundantly clear that I merged the 1.99 branch far too soon,
    and that Clutter 2.0 won't happen any time soon, if at all.
    
    Since having the development happen on a separate branch throws a lot of
    people into confusion, let's undo the clutter-1.99 → master merge, and
    move back the development of Clutter to the master branch.
    
    In order to do so, we need to do some surgery to the Git repository.
    
    First, we do a massive revert in a single commit of all that happened
    since the switch to 1.99 and the API version bump done with the
    89a2862b057423c3c1fc666e6fa776ccacf377dd commit. The history is too long
    to be reverted commit by commit without being extremely messy.

 .gitignore                                         |   34 +-
 autogen.sh                                         |    2 +-
 build/win32/vs10/clutter.props                     |  414 +--
 build/win32/vs10/clutter.sln                       |   16 +-
 build/win32/vs10/clutter.vcxproj.filtersin         |    5 -
 build/win32/vs10/clutter.vcxprojin                 |  136 +-
 build/win32/vs10/install.vcxproj                   |   84 +-
 build/win32/vs9/clutter.sln                        |   16 +-
 build/win32/vs9/clutter.vcprojin                   |  230 +-
 build/win32/vs9/clutter.vsprops                    |  389 +--
 build/win32/vs9/install.vcproj                     |   60 +-
 clutter.doap                                       |    5 +-
 clutter/Makefile.am                                |  125 +
 clutter/abicheck.sh                                |    2 +-
 clutter/cally/cally-clone.c                        |    4 +-
 clutter/cally/cally-factory.h                      |    4 +-
 clutter/cally/cally-group.c                        |    4 +-
 clutter/cally/cally-rectangle.c                    |    4 +-
 clutter/cally/cally-root.c                         |    4 +-
 clutter/cally/cally-stage.c                        |    6 +-
 clutter/cally/cally-stage.h                        |    4 +-
 clutter/cally/cally-text.c                         |    4 +-
 clutter/cally/cally-texture.c                      |    4 +-
 clutter/cally/cally-util.c                         |    4 +-
 clutter/cally/cally.c                              |   13 +-
 clutter/cally/cally.pc.in                          |    2 +-
 clutter/cex100/clutter-backend-cex100.c            |    6 +-
 clutter/clutter-action.h                           |    4 +-
 clutter/clutter-actor-box.c                        |   42 +-
 clutter/clutter-actor-meta.c                       |   18 +-
 clutter/clutter-actor-meta.h                       |    4 +-
 clutter/clutter-actor-private.h                    |   12 +-
 clutter/clutter-actor.c                            | 3059 ++++++++++++++---
 clutter/clutter-actor.h                            |  183 +-
 clutter/clutter-align-constraint.c                 |   20 +-
 clutter/clutter-align-constraint.h                 |    2 +-
 clutter/clutter-animatable.c                       |   89 +-
 clutter/clutter-animatable.h                       |   13 +-
 clutter/clutter-backend.c                          |  205 +-
 clutter/clutter-backend.h                          |    2 +-
 clutter/clutter-base-types.c                       |  200 +-
 clutter/clutter-bezier.c                           |  481 ++-
 clutter/clutter-bezier.h                           |   42 +-
 clutter/clutter-bin-layout.c                       |  674 +++-
 clutter/clutter-bin-layout.h                       |    7 +-
 clutter/clutter-bind-constraint.c                  |   22 +-
 clutter/clutter-bind-constraint.h                  |    2 +-
 clutter/clutter-binding-pool.c                     |   26 +-
 clutter/clutter-binding-pool.h                     |    4 +-
 clutter/clutter-blur-effect.c                      |    2 +-
 clutter/clutter-blur-effect.h                      |    2 +-
 clutter/clutter-box-layout.c                       | 1171 ++++++-
 clutter/clutter-box-layout.h                       |   65 +-
 clutter/clutter-brightness-contrast-effect.c       |   18 +-
 clutter/clutter-brightness-contrast-effect.h       |    2 +-
 clutter/clutter-cairo.c                            |    4 +-
 clutter/clutter-cairo.h                            |    2 +-
 clutter/clutter-canvas.c                           |   43 +-
 clutter/clutter-canvas.h                           |   10 +-
 clutter/clutter-child-meta.c                       |    8 +-
 clutter/clutter-child-meta.h                       |    4 +-
 clutter/clutter-click-action.c                     |   22 +-
 clutter/clutter-click-action.h                     |    4 +-
 clutter/clutter-clone.c                            |    8 +-
 clutter/clutter-clone.h                            |    4 +-
 clutter/clutter-color.c                            |   28 +-
 clutter/clutter-color.h                            |    6 +-
 clutter/clutter-colorize-effect.c                  |    8 +-
 clutter/clutter-colorize-effect.h                  |    2 +-
 clutter/clutter-constraint.h                       |    4 +-
 clutter/clutter-container.c                        |  783 ++++-
 clutter/clutter-container.h                        |  115 +-
 clutter/clutter-content.c                          |    8 +-
 clutter/clutter-content.h                          |   10 +-
 clutter/clutter-deform-effect.c                    |   16 +-
 clutter/clutter-deform-effect.h                    |    4 +-
 clutter/clutter-deprecated.h                       |   35 +
 clutter/clutter-desaturate-effect.c                |    8 +-
 clutter/clutter-desaturate-effect.h                |    2 +-
 clutter/clutter-device-manager.c                   |   14 +-
 clutter/clutter-device-manager.h                   |    4 +-
 clutter/clutter-drag-action.c                      |  103 +-
 clutter/clutter-drag-action.h                      |    8 +-
 clutter/clutter-drop-action.c                      |   12 +-
 clutter/clutter-drop-action.h                      |    4 +-
 clutter/clutter-effect.c                           |    2 +-
 clutter/clutter-effect.h                           |    4 +-
 clutter/clutter-enums.h                            |  289 +-
 clutter/clutter-event.c                            |   96 +-
 clutter/clutter-event.h                            |   70 +-
 clutter/clutter-feature.c                          |    4 +-
 clutter/clutter-fixed-layout.c                     |    2 +-
 clutter/clutter-fixed-layout.h                     |    4 +-
 clutter/clutter-flow-layout.c                      |  252 +-
 clutter/clutter-flow-layout.h                      |    7 +-
 clutter/clutter-gesture-action-private.h           |    4 +-
 clutter/clutter-gesture-action.c                   |  248 +-
 clutter/clutter-gesture-action.h                   |   13 +-
 clutter/clutter-grid-layout.c                      |   42 +-
 clutter/clutter-grid-layout.h                      |   40 +-
 clutter/clutter-group.h                            |   95 +
 clutter/clutter-image.c                            |   10 +-
 clutter/clutter-image.h                            |   22 +-
 clutter/clutter-input-device.c                     |   68 +-
 clutter/clutter-input-device.h                     |   14 +-
 clutter/clutter-interval.c                         |   59 +-
 clutter/clutter-interval.h                         |    6 +-
 clutter/clutter-keyframe-transition.c              |   18 +-
 clutter/clutter-keyframe-transition.h              |   24 +-
 clutter/clutter-keysyms-table.c                    |    2 +-
 clutter/clutter-keysyms-update.pl                  |   35 +
 clutter/clutter-layout-manager.c                   |  312 +-
 clutter/clutter-layout-manager.h                   |   33 +-
 clutter/clutter-layout-meta.c                      |    4 +-
 clutter/clutter-layout-meta.h                      |    4 +-
 clutter/clutter-list-model.c                       |    4 +-
 clutter/clutter-list-model.h                       |    4 +-
 clutter/clutter-macros.h                           |  185 +-
 clutter/clutter-main.c                             |  604 +++-
 clutter/clutter-main.h                             |    8 +-
 clutter/clutter-master-clock.c                     |    4 +-
 clutter/clutter-model.c                            |   94 +-
 clutter/clutter-model.h                            |   14 +-
 clutter/clutter-offscreen-effect.c                 |   32 +-
 clutter/clutter-offscreen-effect.h                 |    6 +-
 clutter/clutter-page-turn-effect.c                 |   20 +-
 clutter/clutter-page-turn-effect.h                 |    2 +-
 clutter/clutter-paint-node-private.h               |    2 +-
 clutter/clutter-paint-node.c                       |   46 +-
 clutter/clutter-paint-node.h                       |   27 +-
 clutter/clutter-paint-nodes.c                      |   22 +-
 clutter/clutter-paint-nodes.h                      |   29 +-
 clutter/clutter-paint-volume.c                     |   30 +-
 clutter/clutter-pan-action.c                       |   40 +
 clutter/clutter-pan-action.h                       |   19 +-
 clutter/clutter-path-constraint.c                  |   18 +-
 clutter/clutter-path-constraint.h                  |    2 +-
 clutter/clutter-path.c                             |  210 +-
 clutter/clutter-path.h                             |   49 +-
 clutter/clutter-private.h                          |    1 -
 clutter/clutter-property-transition.c              |    8 +-
 clutter/clutter-property-transition.h              |   12 +-
 clutter/clutter-rotate-action.c                    |    6 +-
 clutter/clutter-rotate-action.h                    |    8 +-
 clutter/clutter-script-parser.c                    |  409 ++-
 clutter/clutter-script-private.h                   |   12 +-
 clutter/clutter-script.c                           |  339 +-
 clutter/clutter-script.h                           |   25 +-
 clutter/clutter-scriptable.c                       |    8 +-
 clutter/clutter-scriptable.h                       |    4 +-
 clutter/clutter-scroll-actor.c                     |   12 +-
 clutter/clutter-scroll-actor.h                     |   16 +-
 clutter/clutter-settings.c                         |   50 +-
 clutter/clutter-shader-effect.c                    |   14 +-
 clutter/clutter-shader-effect.h                    |    4 +-
 clutter/clutter-shader-types.c                     |   12 +-
 clutter/clutter-shader-types.h                     |    6 +
 clutter/clutter-snap-constraint.c                  |   24 +-
 clutter/clutter-snap-constraint.h                  |    2 +-
 clutter/clutter-stage-manager.c                    |   33 +-
 clutter/clutter-stage-manager.h                    |    4 +-
 clutter/clutter-stage-window.h                     |    4 +-
 clutter/clutter-stage.c                            |  589 +++-
 clutter/clutter-stage.h                            |   35 +-
 clutter/clutter-swipe-action.c                     |   50 +-
 clutter/clutter-swipe-action.h                     |    4 +-
 clutter/clutter-table-layout.c                     | 1028 +++++-
 clutter/clutter-table-layout.h                     |   51 +-
 clutter/clutter-tap-action.c                       |    6 +
 clutter/clutter-tap-action.h                       |    2 +
 clutter/clutter-text-buffer.c                      |   40 +-
 clutter/clutter-text-buffer.h                      |   36 +-
 clutter/clutter-text.c                             |  287 +-
 clutter/clutter-text.h                             |   15 +-
 clutter/clutter-texture.h                          |  128 +
 clutter/clutter-timeline.c                         |  196 +-
 clutter/clutter-timeline.h                         |   28 +-
 clutter/clutter-transition-group.c                 |    8 +-
 clutter/clutter-transition-group.h                 |   14 +-
 clutter/clutter-transition.c                       |   26 +-
 clutter/clutter-transition.h                       |   26 +-
 clutter/clutter-types.h                            |  187 +-
 clutter/clutter-units.c                            |   32 +-
 clutter/clutter-units.h                            |    6 +-
 clutter/clutter-util.c                             |   32 +-
 clutter/clutter-version.h.in                       |  154 +-
 clutter/clutter-zoom-action.c                      |   60 +-
 clutter/clutter-zoom-action.h                      |   16 +-
 clutter/clutter.h                                  |    2 +
 clutter/clutter.pc.in                              |    7 +
 clutter/clutter.symbols                            |  457 ++-
 clutter/deprecated/clutter-actor-deprecated.c      |  411 +++
 clutter/deprecated/clutter-actor.h                 |  161 +
 clutter/deprecated/clutter-alpha.c                 |  959 ++++++
 clutter/deprecated/clutter-alpha.h                 |  144 +
 clutter/deprecated/clutter-animatable.h            |   47 +
 clutter/deprecated/clutter-animation.c             | 2663 +++++++++++++++
 clutter/deprecated/clutter-animation.h             |  206 ++
 clutter/deprecated/clutter-animator.c              | 2176 ++++++++++++
 clutter/deprecated/clutter-animator.h              |  186 ++
 clutter/deprecated/clutter-backend.h               |   64 +
 clutter/deprecated/clutter-behaviour-depth.c       |  309 ++
 clutter/deprecated/clutter-behaviour-depth.h       |  101 +
 clutter/deprecated/clutter-behaviour-ellipse.c     | 1068 ++++++
 clutter/deprecated/clutter-behaviour-ellipse.h     |  159 +
 clutter/deprecated/clutter-behaviour-opacity.c     |  322 ++
 clutter/deprecated/clutter-behaviour-opacity.h     |  115 +
 clutter/deprecated/clutter-behaviour-path.c        |  477 +++
 clutter/deprecated/clutter-behaviour-path.h        |  135 +
 clutter/deprecated/clutter-behaviour-rotate.c      |  697 ++++
 clutter/deprecated/clutter-behaviour-rotate.h      |  119 +
 clutter/deprecated/clutter-behaviour-scale.c       |  443 +++
 clutter/deprecated/clutter-behaviour-scale.h       |  107 +
 clutter/deprecated/clutter-behaviour.c             |  669 ++++
 clutter/deprecated/clutter-behaviour.h             |  170 +
 clutter/deprecated/clutter-bin-layout.h            |   56 +
 clutter/deprecated/clutter-box.c                   |  737 ++++
 clutter/deprecated/clutter-box.h                   |  143 +
 clutter/deprecated/clutter-cairo-texture.c         | 1177 +++++++
 clutter/deprecated/clutter-cairo-texture.h         |  139 +
 clutter/deprecated/clutter-container.h             |   93 +
 clutter/deprecated/clutter-fixed.c                 |  205 ++
 clutter/deprecated/clutter-fixed.h                 |   97 +
 clutter/deprecated/clutter-frame-source.c          |  267 ++
 clutter/deprecated/clutter-frame-source.h          |   49 +
 clutter/deprecated/clutter-group.c                 |  564 ++++
 clutter/deprecated/clutter-group.h                 |   62 +
 .../deprecated/clutter-input-device-deprecated.c   |   38 +
 clutter/deprecated/clutter-input-device.h          |   41 +
 clutter/deprecated/clutter-keysyms.h               | 2306 +++++++++++++
 .../deprecated/clutter-layout-manager-deprecated.c |   89 +
 clutter/deprecated/clutter-main.h                  |   96 +
 clutter/deprecated/clutter-media.c                 |  665 ++++
 clutter/deprecated/clutter-media.h                 |  121 +
 clutter/deprecated/clutter-rectangle.c             |  559 ++++
 clutter/deprecated/clutter-rectangle.h             |  117 +
 clutter/deprecated/clutter-score.c                 | 1168 +++++++
 clutter/deprecated/clutter-score.h                 |  144 +
 clutter/deprecated/clutter-shader.c                |  942 ++++++
 clutter/deprecated/clutter-shader.h                |  182 +
 clutter/deprecated/clutter-stage-manager.h         |   42 +
 clutter/deprecated/clutter-stage.h                 |  102 +
 clutter/deprecated/clutter-state.c                 | 2315 +++++++++++++
 clutter/deprecated/clutter-state.h                 |  187 ++
 clutter/deprecated/clutter-texture.c               | 3156 ++++++++++++++++++
 clutter/deprecated/clutter-texture.h               |  138 +
 clutter/deprecated/clutter-timeline.h              |   41 +
 clutter/deprecated/clutter-timeout-interval.c      |  142 +
 clutter/deprecated/clutter-timeout-interval.h      |   58 +
 clutter/deprecated/clutter-timeout-pool.c          |  500 +++
 clutter/deprecated/clutter-timeout-pool.h          |   69 +
 clutter/deprecated/clutter-util.h                  |   40 +
 clutter/egl/clutter-backend-eglnative.c            |    6 +-
 clutter/egl/clutter-egl.h                          |    4 +-
 clutter/evdev/clutter-device-manager-evdev.c       |    4 +-
 clutter/evdev/clutter-input-device-evdev.c         |    4 +-
 clutter/gdk/clutter-backend-gdk.c                  |    6 +-
 clutter/gdk/clutter-stage-gdk.c                    |    8 +-
 clutter/gdk/clutter-stage-gdk.h                    |    1 +
 clutter/wayland/clutter-backend-wayland.c          |   67 +-
 clutter/wayland/clutter-event-wayland.c            |   15 +-
 clutter/wayland/clutter-input-device-wayland.c     |   67 +-
 clutter/wayland/clutter-stage-wayland.c            |   87 +-
 clutter/wayland/clutter-stage-wayland.h            |    2 -
 clutter/wayland/clutter-wayland-surface.c          |   14 +-
 clutter/wayland/clutter-wayland-surface.h          |    4 +-
 clutter/wayland/clutter-wayland.h                  |   13 +-
 clutter/win32/clutter-backend-win32.c              |    2 +-
 clutter/win32/clutter-event-win32.c                |    2 +-
 clutter/win32/clutter-stage-win32.c                |   31 +-
 clutter/x11/clutter-backend-x11.c                  |   61 +-
 clutter/x11/clutter-device-manager-xi2.c           |    8 +-
 clutter/x11/clutter-event-x11.c                    |    8 +-
 clutter/x11/clutter-glx-texture-pixmap.c           |    8 +-
 clutter/x11/clutter-glx-texture-pixmap.h           |    4 +-
 clutter/x11/clutter-stage-x11.c                    |   37 +-
 clutter/x11/clutter-stage-x11.h                    |    3 +
 clutter/x11/clutter-x11-texture-pixmap.c           |   20 +-
 clutter/x11/clutter-x11-texture-pixmap.h           |    4 +-
 clutter/x11/clutter-x11.h                          |   21 +-
 configure.ac                                       |   19 +-
 doc/cookbook/examples/Makefile.am                  |    2 +-
 .../examples/events-pointer-motion-scribbler.c     |    6 +-
 .../examples/events-pointer-motion-stacked.c       |    2 +
 doc/cookbook/introduction.xml                      |    6 +-
 doc/reference/cally/Makefile.am                    |    5 +-
 doc/reference/cally/cally-docs.xml.in              |  145 +
 doc/reference/cally/cally-sections.txt             |  176 +
 doc/reference/cally/cally.types                    |    9 +
 doc/reference/cally/cally2-docs.xml.in             |  145 -
 doc/reference/cally/cally2-sections.txt            |  176 -
 doc/reference/cally/cally2.types                   |    6 -
 doc/reference/clutter/Makefile.am                  |   21 +-
 doc/reference/clutter/clutter-docs.xml.in          |  394 +++
 doc/reference/clutter/clutter-sections.txt         | 3512 ++++++++++++++++++++
 doc/reference/clutter/clutter.types                |   84 +
 doc/reference/clutter/clutter2-docs.xml.in         |  292 --
 doc/reference/clutter/clutter2-sections.txt        | 2608 ---------------
 doc/reference/clutter/clutter2.types               |   65 -
 doc/reference/clutter/running-clutter.xml          |    4 +-
 examples/bin-layout.c                              |    5 +-
 examples/box-layout.c                              |    5 +-
 examples/flow-layout.c                             |   10 -
 examples/grid-layout.c                             |   20 +-
 po/Makevars                                        |    2 +-
 po/POTFILES.in                                     |   19 +
 po/an.po                                           | 2793 ----------------
 po/ca.po                                           | 1527 ++++-----
 po/ca@valencia.po                                  | 2256 +++++++------
 po/cs.po                                           | 1539 +++++++--
 po/da.po                                           | 2192 ++++++------
 po/de.po                                           | 1301 ++++----
 po/es.po                                           | 2192 ++++++------
 po/eu.po                                           | 2607 ---------------
 po/fr.po                                           | 1518 ++++-----
 po/he.po                                           | 2606 ++++++++-------
 po/hu.po                                           | 1960 -----------
 po/it.po                                           | 1487 ++++-----
 po/ko.po                                           | 2799 ----------------
 po/lv.po                                           | 1498 ++++-----
 po/ne.po                                           | 2189 ------------
 po/pl.po                                           | 1226 ++++---
 po/pt.po                                           | 2144 ++++++------
 po/pt_BR.po                                        | 1292 ++++---
 po/ru.po                                           | 1490 ++++-----
 po/sk.po                                           | 3060 -----------------
 po/sl.po                                           |  672 ++--
 po/tr.po                                           | 2736 +++++++--------
 po/zh_CN.po                                        | 2903 +++++++---------
 tests/accessibility/Makefile.am                    |   19 +-
 tests/accessibility/cally-atkcomponent-example.c   |   34 +-
 .../accessibility/cally-atkeditabletext-example.c  |    4 +-
 tests/accessibility/cally-atkevents-example.c      |    4 +-
 tests/accessibility/cally-atktext-example.c        |    4 +-
 tests/accessibility/cally-clone-example.c          |    4 +-
 tests/accessibility/cally-examples-util.c          |    4 +-
 tests/accessibility/cally-examples-util.h          |    4 +-
 tests/conform/Makefile.am                          |   66 +-
 tests/conform/actor-graph.c                        |    8 +
 tests/conform/actor-invariants.c                   |  106 +-
 tests/conform/actor-layout.c                       |    4 +-
 tests/conform/actor-offscreen-redirect.c           |   29 +-
 tests/conform/binding-pool.c                       |   60 +-
 tests/conform/cally-text.c                         |    4 +-
 tests/conform/path.c                               |    4 +-
 tests/conform/test-conform-main.c                  |   48 +-
 tests/conform/text-cache.c                         |    2 +-
 tests/conform/timeline-interpolate.c               |    2 +-
 tests/conform/timeline.c                           |    4 +-
 tests/data/Makefile.am                             |    7 +-
 tests/data/clutter-1.0.suppressions                |  173 +
 tests/data/clutter-2.0.suppressions                |  173 -
 tests/interactive/Makefile.am                      |   62 +-
 tests/micro-bench/Makefile.am                      |   17 +-
 tests/performance/Makefile.am                      |   23 +-
 355 files changed, 63010 insertions(+), 37874 deletions(-)

commit c04c631e8c91b039fa7b0b56d1ef596690b7d7a0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jan 3 20:05:22 2015 +0000

    keysyms: Update the list of key symbols

 clutter/clutter-keysyms.h            | 5 +++++
 clutter/deprecated/clutter-keysyms.h | 5 +++++
 2 files changed, 10 insertions(+)

commit 96c6c0347440222e772c44c182bb6baf5bc2e201
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 2 12:16:57 2015 +0000

    build: Use `env` instead of TestEnvironment key
    
    We rely on having the DISPLAY environment variable set, otherwise we
    default to skipping all tests automatically. The TestEnvironment key
    inside the installed test launcher keyfile replaces the whole
    environment, instead of just adding to it like the TESTS_ENVIRONMENT
    automake variable.

 build/autotools/glib-tap.mk | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 847e3a2c553df8f0a6c78b6c6264a6c77a6e5704
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 19:40:18 2015 +0000

    build: Drop ad hoc gitignore generation rules
    
    Instead, include Makefile.am.gitignore.

 tests/interactive/Makefile.am | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 7bfd62f755410a6982a436f3edc938666fe5cdb9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 19:39:33 2015 +0000

    build: Fix up gitignore generation rules
    
    Use more sources, and allow adding files to the ignore list when
    including Makefile.am.gitignore.

 build/autotools/Makefile.am.gitignore | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8d6cab0e71af3b9cb818cdd7b7f815505e2c9fac
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 15:18:43 2015 +0000

    Ignore automake droppings

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 506f2c44317a782cc9dc0d44c60faf525483bd21
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 15:16:40 2015 +0000

    Remove unused pointer
    
    The PangoContext has been moved into ClutterActor.

 clutter/clutter-private.h | 1 -
 1 file changed, 1 deletion(-)

commit 1b9650da38d0566fadfc8723598e601ddf6c3441
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 15:10:54 2015 +0000

    Remove global "actor id"
    
    It's absolutely, positively pointless. Every surviving call has long
    since been deprecated, and should have not been public in the first
    place.

 clutter/clutter-actor.c   | 22 +++++++++-------------
 clutter/clutter-main.c    | 38 ++++----------------------------------
 clutter/clutter-private.h |  7 -------
 clutter/clutter-stage.c   |  2 +-
 4 files changed, 14 insertions(+), 55 deletions(-)

commit abda3ee4ce15121d3761fda5dc603f98e44b76d7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 15:09:23 2015 +0000

    Improve debugging notes for main loop start/stop
    
    This way, we can track when we quit the main loop.

 clutter/clutter-main.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 5b9c6f49c454b94c705f259b8c6f27ded89abb91
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 15:07:19 2015 +0000

    Improve the warning message in clutter_main_quit()
    
    If you call clutter_main_quit() without calling clutter_main()
    
    [ South Park ski instructor]
    
    You're going to have a bad time.

 clutter/clutter-main.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit eb51f6cf10bec7ec8ea45761a154a8961f162ba3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 12:48:39 2015 +0000

    actor: Do not restore the easing state in finalize()
    
    The easing state is part of the AnimationInfo structure, which is stored
    inside the GObject's datalist. Each instance frees the data stored there
    during finalization, so there is no point for us to restore an easing
    state (which may or may not be the last one) just to have everything
    cleared out once we chain up to GObject's own finalize() implementation.

 clutter/clutter-actor.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit d930bdf3fc32d5ab1d0d19bb3e94efb3963cd797
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 12:45:11 2015 +0000

    stage: Use the symbolic constant for event handled
    
    Clarifies the intent for everybody.

 clutter/clutter-stage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2034e756582513ea3ff72213ac9d1f83336412fb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 1 12:44:19 2015 +0000

    Use the proper debug category
    
    Backend-related notes should use the `BACKEND` category, not `MISC`.

 clutter/x11/clutter-backend-x11.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 909569c52347fe3ae6c4ec20ce94f781a4741ac4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 14:00:15 2014 +0000

    docs: Mark test utility API as private

 doc/reference/clutter/Makefile.am          |  1 -
 doc/reference/clutter/clutter-sections.txt | 12 ++++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit c67dcd59c148b53c80cf72a1d33510fcb939d36c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 13:59:41 2014 +0000

    Add proper annotations for the test utilities
    
    This avoids g-ir-scanner complaining.

 clutter/clutter-test-utils.c | 43 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 36 insertions(+), 7 deletions(-)

commit f589b6f63a2a2479a63e766f9a941a8b7820659e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 13:33:16 2014 +0000

    Revert "bind-constraint: Update the preferred size"
    
    This reverts commit fcc67e99bccc981774d59625b73118dadc75f6ea.
    
    It seems this causes some recursion overflow in GNOME Shell's usage of
    constraints, and needs more investigation.

 clutter/clutter-bind-constraint.c | 51 ---------------------------------------
 1 file changed, 51 deletions(-)

commit 8df2efca6b6bf36ba65ed5ac60700793b00ce278
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 00:46:16 2014 +0000

    constraint: Fix update_allocation()'s return value
    
    The update_allocation() method returns TRUE if the allocation was
    changed.

 clutter/clutter-constraint.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1fe391606dff6f50eb74cf2ec8219f1a14a27695
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 00:38:27 2014 +0000

    docs: Add ClutterConstraintClass.update_preferred_size()

 clutter/clutter-constraint.h | 3 +++
 1 file changed, 3 insertions(+)

commit fcc67e99bccc981774d59625b73118dadc75f6ea
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 14:54:35 2014 +0000

    bind-constraint: Update the preferred size
    
    Bind the preferred size of an actor using a BindConstraint to the
    preferred size of the source of the constraint, depending on the
    coordinate of the constraint.

 clutter/clutter-bind-constraint.c | 51 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit 66d48bcca07b371e3962cfa4b651e7717228db96
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 14:44:04 2014 +0000

    actor: Update preferred size using constraints
    
    If an actor has any constraint that may affect its preferred size, then
    it should query them when computing its preferred size.

 clutter/clutter-actor.c | 54 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 391f1d8dd4323e825747fdab71a0d32303c7e343
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 14:30:50 2014 +0000

    constraint: Add the ability to update the preferred size
    
    Constraints can only update an existing allocation, which means they
    live only halfway through the layout management system used by Clutter;
    this limitation makes it impossible, for instance, to query the
    preferred size of an actor, if the actor is only using constraints to
    manage its own size.

 clutter/clutter-constraint-private.h |  7 +++++++
 clutter/clutter-constraint.c         | 29 +++++++++++++++++++++++++++++
 clutter/clutter-constraint.h         |  8 +++++++-
 3 files changed, 43 insertions(+), 1 deletion(-)

commit 82fffaedb632bd7bf6a147d0fee41b8133cc6ad8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 14:20:53 2014 +0000

    constraint: Add a private header
    
    And move the only private ClutterConstraint method to it.
    
    This commit also sneaks in a change that makes sense for the debugging
    of the update_allocation() method, which checks if the allocation was
    effectively changed.

 clutter/Makefile.am                  | 17 +++++------
 clutter/clutter-actor.c              | 14 +++++----
 clutter/clutter-constraint-private.h | 35 ++++++++++++++++++++++
 clutter/clutter-constraint.c         | 56 ++++++++++++++++++++++++++++++------
 clutter/clutter-constraint.h         |  2 +-
 clutter/clutter-private.h            |  4 ---
 doc/reference/clutter/Makefile.am    |  1 +
 7 files changed, 102 insertions(+), 27 deletions(-)

commit 768b5b89e2ced13c1fbaf54406868f7e39bc613e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 00:33:23 2014 +0000

    Post-release version bump to 1.21.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5514f1cf4289d2d85463e44de6dade86af21d129
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 23:50:58 2014 +0000

    Release Clutter 1.21.2

 NEWS         | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 38 insertions(+), 1 deletion(-)

commit 2f490c9dcc3111217ddb968054c1c0d5e475564b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 00:15:18 2014 +0000

    build: More out of tree build fixes

 clutter/Makefile.am               | 2 +-
 doc/reference/clutter/Makefile.am | 6 ++++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 8e87d0417b341ca43d9399937c5946fe9cb48c32
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 16 00:02:16 2014 +0000

    build: Fix out-of-tree builds
    
    Add a srcdir prefix to the inspected files for glib-mkenums.

 build/autotools/Makefile.am.enums | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit c337100c14fbfc1a607c427424aeca9173ef8382
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 13:43:36 2013 +0000

    Use new introspection annotation syntax
    
    Instead of the deprecated one.

 clutter/cally/cally-actor.c               |  4 +---
 clutter/clutter-container.c               | 16 ++++------------
 clutter/clutter-interval.c                |  8 ++------
 clutter/clutter-main.c                    |  8 ++------
 clutter/clutter-paint-node.c              |  7 +------
 clutter/clutter-transition.c              |  8 ++------
 clutter/deprecated/clutter-alpha.c        |  4 +---
 clutter/deprecated/clutter-frame-source.c |  8 ++------
 8 files changed, 15 insertions(+), 48 deletions(-)

commit 270918d5c9ddf1b52fe4f8de5cc374693b02e226
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 3 13:41:33 2013 +0000

    Bump up the requirement for GLib and introspection
    
    The syntax for some introspection annotations has changed between 1.38
    and 1.39, so we need to bump up the dependency in order to get the new
    scanner. Introspection should be updated in lock-step with GLib, so we
    should also bump up the required GLib version.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 05a940fa5e12ab065f827ed32af17e7335ca9fb6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 23:42:12 2014 +0000

    docs: Mention ClutterRequestMode in the release notes

 README.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4f03b32eea3cb7221eeaaf0d18e3c31cee23dda1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 23:39:05 2014 +0000

    actor: Queue a relayout if we use the content's preferred size
    
    In case the ClutterContent changes, and the actor uses the content's
    preferred size to drive its own.

 clutter/clutter-actor.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e2eb0b0adad71bbd3bd71d5e82288bd9d9c5985d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 23:13:30 2014 +0000

    build: Use subdir-objects

 clutter/Makefile.am | 742 ++++++++++++++++++++++++++--------------------------
 1 file changed, 372 insertions(+), 370 deletions(-)

commit 3113f4521bc95a2a2db608fdcdb31cd36a536162
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 23:12:43 2014 +0000

    Fix the version number
    
    This is a development cycle.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1be019852f0a64188df3d4e45820246f21fdacbe
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Mon Dec 15 17:29:52 2014 +0000

    device-manager-xi2: Fix core pointer retrieval race
    
    The core pointer concept doesn't really exist anymore in an XI2 world,
    so the clutter API is a bit of a mismatch with what X provides. Using
    XIGetClientPointer doesn't really help, as far as i can tell the
    semantics of XIGetClientPointer are essentially: Whatever the X server
    picked when it had to reply with device-dependant data to a query
    without a device specifier. Not very useful...
    
    To make matters worse, whether XIGetClientPointer returns a valid
    pointer depends on whether there has been a query that forced it to pick
    one in the first place, making the whole thing pretty non-deterministic.
    
    This patch changes things around such that instead of using
    XIGetClientPointer to determine the core pointer, we simply pick the
    first master pointer device. In practise this will essentially always
    be the X virtual core pointer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729462

 clutter/x11/clutter-device-manager-xi2.c | 41 +++++++++++++-------------------
 clutter/x11/clutter-device-manager-xi2.h |  2 --
 2 files changed, 17 insertions(+), 26 deletions(-)

commit 5281425a53aedaf3b03f2d658325e5d1413d36cc
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Sat May 3 17:42:46 2014 +0200

    DeviceManagerXi2: Update cached core pointer in getter if NULL
    
    XIGetClientPointer() may return the device id '0' when called early.
    This patch makes pointer cursors work in nested mutter Wayland
    sessions again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729462

 clutter/x11/clutter-device-manager-xi2.c | 3 +++
 1 file changed, 3 insertions(+)

commit b5c8dae5a7cacaebf3639df56dc9bfacfac94976
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 17:10:33 2014 +0000

    Document CLUTTER_BACKEND and CLUTTER_INPUT_BACKEND envvars
    
    The allowed values are determined at configure time, but we can list all
    the possible values, and assume people will actually check.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681300

 doc/reference/clutter/running-clutter.xml | 38 +++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit cca0777b3482003b5cac7b1d08f80d9f73df7a9f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 17:10:23 2014 +0000

    docs: Add missing symbols

 doc/reference/clutter/clutter-sections.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit b7c41203992e17c3d0744aaba558b1a8b7622cc9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 15 16:51:05 2014 +0000

    osx: Clean up installed clutter-osx.h header
    
    The installed header should not have private API declarations and
    macros. Let's move those into the uninstalled clutter-backend-osx.h
    header file instead.

 clutter/osx/clutter-backend-osx.h | 8 +++++++-
 clutter/osx/clutter-event-osx.c   | 1 +
 clutter/osx/clutter-osx.h         | 9 +--------
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 9efda7eac7182249cf1a28020a4b3d9bcb45362f
Author: cee1 <fykcee1@gmail.com>
Date:   Wed Dec 4 10:43:56 2013 +0800

    clutter/osx: add clutter_osx_disable_event_retrieval
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719962

 clutter/osx/clutter-backend-osx.c | 19 ++++++++++++++++++-
 clutter/osx/clutter-osx.h         |  4 +++-
 2 files changed, 21 insertions(+), 2 deletions(-)

commit d005c6a8809fe48ce5c8e5a9f0f620e4f60bb7e6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 23:05:17 2014 +0000

    script: Do not overwrite ObjectInfo fields
    
    When merging multiple definitions it's possible that the ObjectInfo
    fields may get overwritten. Instead of trampling over the fields, we
    should reset them only when they actually change — especially the
    "is_actor" one, which controls the destruction of the objects when
    unmerging happens.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669743

 clutter/clutter-script-parser.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit e6a60f661784f3c0d8744402a0569ea47426ba02
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 23:03:58 2014 +0000

    conform: Drop a deprecated property
    
    Use the non-deprecated :orientation property, instead of the
    deprecated :vertical one.

 tests/conform/scripts/test-script-named-object.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f851d5b98533263a8e03193b5970205d23d22843
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 14 20:27:25 2014 +0000

    docs: Add missing deprecation annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709252

 clutter/deprecated/clutter-alpha.h     | 6 ++++++
 clutter/deprecated/clutter-animation.h | 4 ++++
 clutter/deprecated/clutter-animator.h  | 2 ++
 3 files changed, 12 insertions(+)

commit d546c0c121a967ab49773f91119dffe9d0358cdd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Dec 13 14:29:30 2014 +0000

    actor: Reset the content box when setting a new content
    
    We want to recompute the content box when changing the content instance,
    in case the preferred size is different and the content gravity uses the
    preferred size; the change of content with different preferred size and
    same gravity should also trigger an implicit transition.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711182

 clutter/clutter-actor.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 1e2132eca49347a2d8e519ab45780c52952c3e9e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Dec 13 14:28:46 2014 +0000

    actor: Bail when setting the same content
    
    No need to do all the work, if the content instance is the same.

 clutter/clutter-actor.c | 3 +++
 1 file changed, 3 insertions(+)

commit 300aa465c7affe1ddcbfb902d402766af33bf349
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Dec 13 13:37:05 2014 +0000

    actor: Add CLUTTER_REQUEST_CONTENT_SIZE mode
    
    Some actors want to have a preferred size driven by their content, not
    by their children or by their fixed size.
    
    In order to achieve that, we can extend the ClutterRequestMode
    enumeration so that clutter_actor_get_preferred_size() defers to the
    ClutterContent's own preferred size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676326

 clutter/clutter-actor.c | 88 ++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-enums.h |  5 ++-
 2 files changed, 83 insertions(+), 10 deletions(-)

commit e7d1458298318dad8eb046540162323dc1a76b25
Author: Samuel Degrande <samuel.degrande@lifl.fr>
Date:   Mon Dec 1 20:18:46 2014 +0100

    Easing modes are not used when computing the value of a KeyframeTransition
    
    An easing mode can be set on a frame of a KeyframeTransition.
    However, the progress value of the current frame is computed using using
    a linear function.
    This patch adds a call to clutter_easing_for_mode() to compute
    the actual progress value.
    Note that parametrized easing modes (bezier and 'step') are not taken
    into account.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740997

 clutter/clutter-keyframe-transition.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d3dbd169d652deda3aaaf0579d85af801b877b4f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 11 22:34:19 2014 +0000

    docs: Add versioned indexes
    
    We have a bunch of versions to cover.

 doc/reference/clutter/clutter-docs.xml.in | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit d2a2e5ba9cc3ebeec6a12e84d4d3ca0c0df29874
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 11 22:32:36 2014 +0000

    Add 1.22 version macros
    
    The 1.22 cycle did start a while ago.

 clutter/clutter-macros.h     | 14 ++++++++++++++
 clutter/clutter-version.h.in | 12 +++++++++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit be0679291984ff99064d38523e5e2c65a7379c6c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 11 22:34:40 2014 +0000

    Bump up the version to 1.21.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a0e2ba62a185c2db1fb998863f3e2011aebfaf68
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Dec 10 16:51:43 2014 +0100

    x11: Resort to device name matching for non-mt touchpads
    
    If a touchpad is not multitouch, or does not report MT axes (eg. through
    the libinput driver), resort to name matching before falling back to
    CLUTTER_POINTER_DEVICE.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741350

 clutter/x11/clutter-device-manager-xi2.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1cabee8d24ad57208de7d4c4b8a34cdd93cd1d43
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 11 10:59:26 2014 +0100

    evdev: Lookup config to report touchpads as such
    
    Check a touchpad-only setting, and if it returns an expected value there,
    the device must be a CLUTTER_DEVICE_TOUCHPAD.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741350

 clutter/evdev/clutter-input-device-evdev.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit a18b2f067bca19f364e2abc3105282c6a7f47fe4
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Nov 26 17:15:48 2014 +0100

    evdev: Prefer pointer/touch devices over keyboard devices
    
    In keyboard/mouse wireless combos, it is rather common for the mouse to
    claim it contains the multimedia keys, this makes libinput enable both
    the pointer and keyboard capabilities on this device, and Clutter thus
    to create a keyboard ClutterInputDevice for it.
    
    Ideally clutter devices should be able to reflect their full capabilities,
    or maybe account for the fact that certain events can be sent from
    seemingly unexpected device types. But this will bring a somewhat better
    behavior on such devices.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740518

 clutter/evdev/clutter-input-device-evdev.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c3c89332f6541848b5c3853858249e39b116b4fd
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Tue Dec 9 20:37:12 2014 +0000

    Updated Turkish translation

 po/tr.po | 2736 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1565 insertions(+), 1171 deletions(-)

commit 8afb499ce506b68716b4262bc16eb3d2a031bce1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 3 12:12:43 2014 +0000

    image: Do not put large textures in the atlas
    
    Atlasing is fine for smaller textures, but once they get too large its
    downsides outweight the benefits. At worst, the larger texture will end
    up inside its own atlas, but at worst it will require copying and/or
    resizing of an existing atlas.
    
    The cut-off at 512x512 pixels is a bit arbitrary, and we can change it
    at any point; it would be nice if we could get the texture limit from
    Cogl, and then use a fraction of that size as the cut-off limit. Sadly,
    that's not portable, and it's not guaranteed to work either.

 clutter/clutter-image.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 54efcf0e903e50ce927d3b22aa1edfa7dfa1744a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 3 12:11:55 2014 +0000

    gdk: Use non-deprecated GdkCursor API
    
    The non-display safe variant has been deprecated in GTK+ 3.15.

 clutter/gdk/clutter-stage-gdk.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 7d7eb8aabda177e502f388cbe7dd6b2b4e892bc3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 3 12:07:06 2014 +0000

    gdk: Disable deprecation warnings
    
    We don't want to break the build because GDK deprecated some symbol.

 clutter/gdk/clutter-stage-gdk.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3879bacc78246e538b5baed37c07e9d0617cdce8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 3 12:05:37 2014 +0000

    Avoid a compiler warning
    
    Initialize a pointer variable.

 clutter/cogl/clutter-stage-cogl.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit acbfb2bbb5a05ce30eb51f572f0e67e19c50046a
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Nov 29 09:44:34 2014 -0500

    Fixes to Catalan translation

 po/ca.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 47df16ec3b7956dd1544616ec6b959db361ce0e9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 26 12:46:51 2014 +0000

    Revert "actor: Plug a leak in the implicit transition removal"
    
    This reverts commit 158af1ff594d8984b59dcf90654ed04cd8c53e16.
    
    This commit introduced a regression, so the leak will have to be fixed
    in another way.

 clutter/clutter-actor.c | 8 --------
 1 file changed, 8 deletions(-)

commit d482016d7a2c210baf400ae4b15c37df17ec48aa
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Sat Nov 22 11:42:58 2014 +0000

    Added Nepali translation

 po/ne.po | 2189 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2189 insertions(+)

commit 46877cc2bd497ec23acfa07fedaf29f45522dc6f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Oct 22 18:44:22 2014 -0700

    actor: Create a PangoContext per actor
    
    For a variety of complicated reasons, ClutterText currently sets fields
    on the PangoContext when creating a layout. This causes ClutterText to
    behave somewhat erratically in certain cases, since the PangoContext is
    currently shared between all actors.
    
    GTK+ creates a PangoContext for every single GtkWidget, so it seems like
    we should do the same here.
    
    Move the private code that was previously in clutter-main.c into
    clutter-actor.c and clean it up a bit. This gives every actor its own
    PangoContext it can mutilate whenever it wants, at its heart's content.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739050

 clutter/clutter-actor.c   | 66 ++++++++++++++++++++++++++++++++++----
 clutter/clutter-main.c    | 80 -----------------------------------------------
 clutter/clutter-private.h |  2 --
 3 files changed, 60 insertions(+), 88 deletions(-)

commit 14d28e7908d5421f15f9b94f4f37d66f14c4222e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Oct 22 18:44:16 2014 -0700

    main: Don't update the PangoContext in clutter_set_font_flags
    
    clutter_set_font_flags already calls clutter_backend_set_font_options,
    which emits a signal which our PangoContext listens to, so this is just
    duplicate and unneeded code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739050

 clutter/clutter-main.c | 5 -----
 1 file changed, 5 deletions(-)

commit 7764fd2079318fede95b4b96c72d18bd31699270
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Oct 14 12:41:10 2014 +0200

    evdev: Flush event queue before removing an input device
    
    libinput_suspend() will trigger the removal of input devices, but also
    the emission of button/key releases pairing everything that is pressed
    at that moment. These events are queued, but the ClutterInputDevice
    pointers in these will point to invalid memory at the time these are
    processed.
    
    Fix this by flushing the event queue, in order to ensure there are no
    unprocessed input events after libinput_suspend().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738520

 clutter/evdev/clutter-device-manager-evdev.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 084dc49a0cdadeed7de896df81e9af536f2ab678
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Thu Oct 2 09:27:36 2014 +0200

    x11: Add missing closure annotation to ClutterX11FilterFunc

 clutter/x11/clutter-x11.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 317a54f9fbba526233a91d4d45bf6963c97d0b0f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 22 12:01:30 2014 +0100

    build: Update the release rules
    
    Change the URLs for mailing lists and documentation, and re-align the
    output.

 build/autotools/Makefile.am.release | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 28cd2c56d1e902f508ea4c5571ccb17058bf915f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 22 11:48:37 2014 +0100

    Post-release version bump to 1.20.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ddda4aec18359aa6bcdff218133c079d4733f155
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 19:38:35 2014 +0200

    doap category core

 clutter.doap | 1 +
 1 file changed, 1 insertion(+)

commit 85bde59549cfcb37e17aa1eca236ce3eb4ea45b1
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri May 16 04:35:13 2014 +0300

    Updated Hebrew translation

 po/he.po | 2606 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 1169 insertions(+), 1437 deletions(-)

commit d3fc8678406081b4fa2142db13baf9e2629914c1
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon May 12 23:45:55 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2256 ++++++++++++++++++++++++-----------------------------
 1 file changed, 1041 insertions(+), 1215 deletions(-)

commit f05eac430537786e186afa25544af929ac59e85b
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Mon May 12 23:45:33 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 1142 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 595 insertions(+), 547 deletions(-)

commit 810e16c44fb669e7b95de6c010c72caeaac04f7b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat May 10 19:39:59 2014 +0200

    Updated Spanish translation

 po/es.po | 2192 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 992 insertions(+), 1200 deletions(-)

commit 266eac1ebb65816ef6ce08e30a4434f0b94e4b8d
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Mon Apr 28 16:03:13 2014 -0300

    clutter-canvas: cache the texture to avoid uploads
    
    When an actor carrying canvas content is repainted, it will currently reupload
    the data from the buffer to a texture. While this is not a performance problem
    on a desktop, some mobile environments take a big performance hit. This
    change tracks data changes and only recreates the texture if necessary.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729144

 clutter/clutter-canvas.c | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

commit bfba8cd5c84fb74e50cef35bc0befa2d1ee0c0c1
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.com>
Date:   Fri Apr 18 15:10:42 2014 -0300

    clutter-main: start mainloop timer on clutter_init()
    
    By creating and starting the timer on clutter_main() an assumption is made
    that that is how the main loop will be run for all clutter applications.
    With more and more applications moving to GApplication, this assumption no
    longer holds true.
    
    Moving to clutter_init() means we are starting the timer earlier than we
    should, and by not stopping it when the main loop quits we are taking a
    measure that is later than we should. I believe it is safe to consider
    those are close enough to the actual beginning and quitting of the main
    loop in practice.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728521

 clutter/clutter-main.c | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 447dda82df74d035f326c8c3d053530462724e7f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Apr 16 17:16:14 2014 +0200

    Updated Basque language

 po/eu.po | 2607 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2607 insertions(+)

commit 9c5d84c0fe27980aebb8df3d6b901f6b1d0fe8cc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 30 18:35:35 2014 +0200

    doap: update URLs

 clutter.doap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e59f611339c55966e00896e6fd724b80b6df4d0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri Mar 21 08:35:08 2014 +0000

    Updated French translation

 po/fr.po | 2429 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1359 insertions(+), 1070 deletions(-)

commit df4dad55fd917bf860491601985402c8b71c982f
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Mar 19 22:36:31 2014 +0100

    Updated Danish translation

 po/da.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a3e336ee0cadcc1edd487aab0f6bd103bc0304e
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Mar 19 22:27:35 2014 +0100

    Updated Danish translation

 po/da.po | 396 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 216 insertions(+), 180 deletions(-)

commit 592e969254c36ce355ab0e2f84e4a9203ed8f2c0
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Wed Mar 12 09:38:10 2014 +0900

    Added Korean translation

 po/ko.po | 2799 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2799 insertions(+)

commit 25a092b604adcca3493b54f7520553de9a54f286
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue Mar 11 12:35:03 2014 +0100

    grid-layout: Use correct orientation when requesting preferred child size
    
    Otherwise width and height are swapped.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725722

 clutter/clutter-grid-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 408b7eb625280d1f6d039e6849bceef6e1d01f87
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Tue Mar 11 16:20:07 2014 +0400

    Updated Russian translation

 po/ru.po | 1118 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 602 insertions(+), 516 deletions(-)

commit 17e03eb8fce70ba09024d5b6152f076bffbb03c9
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 8 19:45:42 2014 +0200

    Updated Latvian translation

 po/lv.po | 935 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 500 insertions(+), 435 deletions(-)

commit ae58ad8c465f377fc769b246fb261e1cbb8d48cd
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 7 12:28:40 2014 +0800

    Fix The Win32 Backend for Newer Visual Studio Versions
    
    The GetSystemMetrics() function returns wrong values for SM_CXSIZEFRAME,
    SM_CYSIZEFRAME, SM_CXFIXEDFRAME and SM_CYFIXEDFRAME when built with Visual
    Studio 2012 and 2013 (unless the XP compatibility setting for the
    PlatformToolset entry is turned on), causing the window of Clutter programs
    to automatically shrink to a point where they become unusable.
    
    This patch uses AdjustWindowRectEx() for builds using Visual Studio 2012
    and later, which deduces the required height and width of the Window
    properly.  Unfortunately we can't use this for the VS 2008/2010 builds as
    they cause the Window to continually expand as the program is run.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725873

 clutter/win32/clutter-stage-win32.c | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 45935fbe29c544b2af72c9ab5a55c1a452e20b1c
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Feb 22 20:35:23 2014 +0100

    x11: Avoid invalid ClutterInputDevice pointers in the device list
    
    Due to the way add_device() invariably adds to the master/slave device
    lists, while keeping ClutterInputDevices 1:1 with device IDs, it may
    leave invalid pointers in the list if add_device() is called multiple
    times for the same device ID. There are two situations where this may
    happen:
    
    1) If devices are disabled and later enabled: devices are added invariably
       to the master/slave lists on constructed(), but then on XIDeviceEnabled
       they'd get added yet again.
    2) Racy cases where the ClutterDeviceManager is created around the same time
       XIHierarchyEvents are sent. When getting the XIDeviceInfo on constructed(),
       these devices may already appear as enabled, even though XIDeviceEnabled
       is seen through XIHierarchyEvents processed in the event loop sortly after.
    
       This last case can be seen when starting gnome-shell on a different tty,
       and entering in the one it's been spawned on, clutter initialization
       happens around the same time devices are added back because of the tty
       switch, and multiple extra ClutterInputDevices are created.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724971

 clutter/x11/clutter-device-manager-xi2.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 086190273b44f1decee759d610525b4a5ff04f3d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Feb 16 12:21:14 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 57 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 36 insertions(+), 21 deletions(-)

commit dd2debfc52b1cf19d64e0ab1bf38bd35aef7ccc8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Feb 9 12:33:16 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 169 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 99 insertions(+), 70 deletions(-)

commit eb96602718b835e827a962b09771a389e310ef3d
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Fri Jan 24 21:12:20 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 2309 ++++++++++++++++++++++++++---------------------------------
 1 file changed, 1014 insertions(+), 1295 deletions(-)

commit 0258c72a5f2c88e4f2dc8a772fefac3a3b3cc0f0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:47:12 2014 +0100

    Updated FSF's address

 clutter/cally/cally-clone.c                         | 4 +---
 clutter/cally/cally-factory.h                       | 4 +---
 clutter/cally/cally-group.c                         | 4 +---
 clutter/cally/cally-rectangle.c                     | 4 +---
 clutter/cally/cally-root.c                          | 4 +---
 clutter/cally/cally-stage.c                         | 4 +---
 clutter/cally/cally-text.c                          | 4 +---
 clutter/cally/cally-texture.c                       | 4 +---
 clutter/cally/cally-util.c                          | 4 +---
 clutter/cally/cally.c                               | 4 +---
 clutter/clutter-text-buffer.c                       | 4 +---
 clutter/clutter-text-buffer.h                       | 4 +---
 tests/accessibility/cally-atkcomponent-example.c    | 4 +---
 tests/accessibility/cally-atkeditabletext-example.c | 4 +---
 tests/accessibility/cally-atkevents-example.c       | 4 +---
 tests/accessibility/cally-atktext-example.c         | 4 +---
 tests/accessibility/cally-clone-example.c           | 4 +---
 tests/accessibility/cally-examples-util.c           | 4 +---
 tests/accessibility/cally-examples-util.h           | 4 +---
 19 files changed, 19 insertions(+), 57 deletions(-)

commit 5be190a98a3063179492924660ec36abf8f28809
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:   Thu Jan 2 09:42:43 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 2773 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1516 insertions(+), 1257 deletions(-)

commit 7867c86c2b72c66d54e679197820f986f7821b5c
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Dec 12 09:36:01 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 1365 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 695 insertions(+), 670 deletions(-)

commit f6ad53d9e0b5d64ba4a476d29b81edcbb718f05c
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Nov 29 15:43:45 2013 +0000

    input-device: Guard against double free
    
    Dispose() may be called more than once, so calling g_free directly
    on the device name is unsafe. Instead, use g_clear_pointer() to
    make sure we don't attempt to free the memory again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719563

 clutter/clutter-input-device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a471cf08dd362cf8b0cb864f4841995585d96c2
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Nov 26 11:04:27 2013 -0500

    Don't queue redraws when reallocating actor that haven't moved
    
    When support for implicit animation of actor position was added,
    the optimization for not queueing when allocating an actor back
    to the same location was lost. This optimization is important
    since when we are hierarchically allocating down from the top of
    the stage we constantly reallocate the actors at the top of the
    hierarchy back to the same place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719368

 clutter/clutter-actor.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 0d0248b31f00d08ed4d5ca334fd9f93a7c6d5eab
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Fri Nov 22 10:30:21 2013 -0500

    Bind constraints: Don't force redraws on source relayout
    
    When the source actor potentially changes size, that shouldn't
    necessarily result in the target actor being redrawn - it should
    be like when a child of a container is reallocated due to changes
    in its siblings or parent - it should redraw only to the extent
    that it is moved and resized. Privately export an internal function
    from clutter-actor.c to allow getting this right.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719367
    
    Conflicts:
    	clutter/clutter-actor.c

 clutter/clutter-actor-private.h   | 1 +
 clutter/clutter-actor.c           | 4 +---
 clutter/clutter-bind-constraint.c | 2 +-
 clutter/clutter-snap-constraint.c | 2 +-
 4 files changed, 4 insertions(+), 5 deletions(-)

commit 90c05e98a8cbf3748758af5a11dfa129d8334c46
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Oct 9 18:35:59 2013 +0100

    stage: implement touch event throttling
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709761

 clutter/clutter-stage.c | 38 +++++++++++++++++++++++++-------------
 1 file changed, 25 insertions(+), 13 deletions(-)

commit 7ae3b32cf1ccaba6b765f263ee12bd9ffe631174
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Tue Oct 8 23:34:58 2013 +0200

    Updated slovak translation

 po/sk.po | 613 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 322 insertions(+), 291 deletions(-)

commit 79c2d3ede7a2e379bf110bacee92932de9793aff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 8 11:40:23 2013 +0200

    ClutterEvent: Mention _get_source_device() in docs
    
    It's too easy getting bitten by the ->device red herring, thinking
    that it's the original input device the event originated from.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709620

 clutter/clutter-event.c |  2 ++
 clutter/clutter-event.h | 18 ++++++++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 09085b3fee4c512495f6740a1d32d9b8d01dd148
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 27 15:00:57 2013 +0200

    actor: Correct setting the offscreen-redirect property
    
    It's a flags property, not an enum one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708922

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb983d6b5dd3ef908e58e6ac36820f3a043c7980
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Thu Sep 26 00:20:44 2013 +0200

    Initial Hungarian translation

 po/hu.po | 1960 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1960 insertions(+)

commit 935724e5384f57f6ce425bcee49b289ef51104b2
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Mon Sep 23 19:36:40 2013 +0200

    Updated Danish translation

 po/da.po | 2138 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 964 insertions(+), 1174 deletions(-)

commit d8aecdbe787d01d8eedc70505e7d37ee4c3af87d
Author: António Lima <amrlima@gmail.com>
Date:   Mon Sep 23 00:05:49 2013 +0100

    Updated Portuguese translation

 po/pt.po | 2144 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 968 insertions(+), 1176 deletions(-)

commit a690668b65949ec1027f8c1b41294eb84ac18db9
Author: Benjamin Steinwender <b@stbe.at>
Date:   Mon Sep 16 18:59:53 2013 +0200

    Updated German translation

 po/de.po | 1301 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 659 insertions(+), 642 deletions(-)

commit e10276b26c2594f7632315eebac8359d685a5e5d
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 12 15:23:15 2013 +0300

    Updated Latvian translation

 po/lv.po | 1291 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 653 insertions(+), 638 deletions(-)

commit 29eef6de61157db81a6fac4dca219c0c3f4b8ce8
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Sep 3 12:24:20 2013 +0100

    wayland: Check for NULL surface on pointer leave events
    
    In the protocol this is the expected behaviour when the client has
    destroyed the surface.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707377

 clutter/wayland/clutter-input-device-wayland.c | 3 +++
 1 file changed, 3 insertions(+)

commit c5468ddf52c893cf98756f04ffabf8980f60181a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Sep 6 13:22:45 2013 +0400

    Updated Russian translation

 po/ru.po | 1456 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 725 insertions(+), 731 deletions(-)

commit cf214d71da374ee7aafa5e3d4994dca45c25998a
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:   Thu Sep 5 00:02:38 2013 +0200

    Added Aragonese translation

 po/an.po | 2793 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2793 insertions(+)

commit 752d932bdf943934019ed108a933ec9362c95118
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Aug 31 22:53:04 2013 +0200

    [l10n] Update Catalan translation

 po/ca.po | 1229 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 619 insertions(+), 610 deletions(-)

commit e2f9841818922d5ef5f69b349c06890e7e07177a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Aug 29 17:35:13 2013 +0800

    Clean up Visual Studio Build Files
    
    -Combine entries in the property sheets and make it a bit more flexible,
     and drop some redundant items
    -Use Custom Build Rules for generating enumeration and marshalling sources,
     and the .def file so that they can be wiped off when a "clean" is
     requested, and regenerate automatically when the templates/.symbols
     files are updated.
    -Improve consistency by using ApiVersion rather than ClutterApiVersion
     with the Visual Studio project for other components of the Clutter/GTK+
     stack
    -Get rid of unneeded configs in the "install" project

 build/win32/vs10/clutter.props             | 428 +++++++++++++----------------
 build/win32/vs10/clutter.sln               |  16 +-
 build/win32/vs10/clutter.vcxproj.filtersin |   5 +
 build/win32/vs10/clutter.vcxprojin         | 136 ++++++---
 build/win32/vs10/install.vcxproj           |  84 +-----
 build/win32/vs9/clutter.sln                |  16 +-
 build/win32/vs9/clutter.vcprojin           | 230 ++++++++++++++--
 build/win32/vs9/clutter.vsprops            | 398 +++++++++++++--------------
 build/win32/vs9/install.vcproj             |  60 +---
 9 files changed, 726 insertions(+), 647 deletions(-)

commit fbd0a0b479fad5fc1e51a08ec528c15c9d239f7c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Aug 29 10:52:37 2013 +0800

    Visual C++ Builds: Update Header "Installation"
    
    This is taken directly from the 1.16 series, as it seems that the 1.x
    development starts from here, so put this here first and make the
    neccessary adjustments as we go on.

 build/win32/vs10/clutter.props  | 40 +++++++++++++++++++++++++++++-----------
 build/win32/vs9/clutter.vsprops | 23 ++++++++++++++++-------
 2 files changed, 45 insertions(+), 18 deletions(-)

commit dc05363545b2bee02a0868638fba12f6a72d996c
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Tue Aug 27 19:09:08 2013 +0200

    Added slovak translation

 po/sk.po | 3029 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 3029 insertions(+)

commit 03d10a19eca14de6fd3aafd869a2658b960d0ba4
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   Fri Aug 23 21:21:05 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 2993 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1681 insertions(+), 1312 deletions(-)

commit 275790f56969b4b65a9be7bf90b45d73631d06b5
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Aug 22 14:25:27 2013 +0200

    Update French translation

 po/fr.po | 2163 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 977 insertions(+), 1186 deletions(-)

commit aaebfc78263c06a9c493dec6c4c1f27f10f31449
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 22:14:33 2013 +0200

    Updated Polish translation

 po/pl.po | 1226 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 619 insertions(+), 607 deletions(-)

commit 2b8fcfd75b0500156e41f303d803116f82769eaf
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 12 17:29:28 2013 +0100

    wayland: When resizing only trigger a redraw if the stage has been shown
    
    This is necessary to avoid a deadlock with the compositor. When setting
    a stage size before the stage was shown this would trigger a redraw
    inside clutter_stage_wayland_resize. This redraw would result
    in a call into eglSwapBuffers which would attach a buffer to the surface
    and commit. Unfortunately this would happen before the role for the
    surface was set. This would result in the compositor not relaying to the
    client that the desired frame was shown.
    
    With this change the call to wl_shell_surface_set_toplevel is always
    made before the first redraw.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704457

 clutter/wayland/clutter-stage-wayland.c | 8 +++++++-
 clutter/wayland/clutter-stage-wayland.h | 1 +
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 4d79dd2948d915b6a82f31f34072bbfd986d369e
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Aug 5 23:57:26 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2240 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1247 insertions(+), 993 deletions(-)

commit b6a931c8d9aefece78866f3f5fab0c9131fa0fc4
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 4 15:38:40 2013 +0100

    wayland: Only process enter and leave events Clutter created surfaces
    
    When combining with GTK we will receive enter and leave events for surfaces
    from both toolkits therefore we must filter our events appropriately.

 clutter/wayland/clutter-input-device-wayland.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 61dc824c9178df01a1c5ad43d93fac77f0d6dbca
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 4 15:33:30 2013 +0100

    wayland: Check there is valid pointer or keyboard focus for events

 clutter/wayland/clutter-input-device-wayland.c | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

commit de933213b7c23ab8a65fbc798887f2a13bf15d2a
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jul 15 18:36:26 2013 +0100

    wayland: Only create and act on shell_surface for non-foreign surfaces
    
    We should not create a shell surface and set the role for that shell
    surface if the surface was a foreign one provided through
    clutter_wayland_set_wl_surface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699578

 clutter/wayland/clutter-stage-wayland.c | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit d390a44615b827bf32707e40d1edd72ed48e05d6
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Thu May 2 17:46:49 2013 +0100

    wayland: Add foreign surface support to stage
    
    This adds support for optionally a providing a foreign Wayland surface
    to a ClutterStage before it is first show. Setting a foreign surface
    prevents Cogl from allocating a surface and shell surface for the stage
    automatically.
    
    v2: add CLUTTER_AVAILABLE_IN_1_16 annotation and API reference docs
        (review from Emmanuele Bassi)
    v3: set a boolean to indicate that this stage is using a foreign surface
    (Rob Bradford)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699578

 clutter/clutter.symbols                     |  1 +
 clutter/wayland/clutter-stage-wayland.c     | 47 +++++++++++++++++++++++++++++
 clutter/wayland/clutter-stage-wayland.h     |  1 +
 clutter/wayland/clutter-wayland.h           |  3 ++
 doc/reference/clutter/clutter2-sections.txt |  1 +
 5 files changed, 53 insertions(+)

commit a5230278b42cc05fb6ab937bf419fa221c5feeea
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jul 15 18:27:33 2013 +0100

    wayland: Add API for disabling the event dispatching
    
    This allows the integration of Clutter with another library, like GTK+,
    that is dispatching the events itself. This is implemented by calling
    into the cogl_wayland_renderer_set_event_dispatch_enabled() and since
    that function must be called on the newly created renderer the newly
    added clutter_wayland_disable_event_retrieval must be called before
    clutter_init()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704279

 clutter/clutter.symbols                     |  1 +
 clutter/wayland/clutter-backend-wayland.c   | 31 +++++++++++++++++++++++++++++
 clutter/wayland/clutter-wayland.h           |  3 +++
 doc/reference/clutter/clutter2-sections.txt |  1 +
 4 files changed, 36 insertions(+)

commit 74ab8c3bdad5228f0f606b146b420f7f4df421bd
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Jul 17 12:33:48 2013 +0200

    clutter-actor: Make clutter_actor_has_mapped_clones public
    
    This allows some optimisations to be done that work when they are no clones.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703336

 clutter/clutter-actor.c | 18 ++++++++++++++----
 clutter/clutter-actor.h |  7 +++++++
 2 files changed, 21 insertions(+), 4 deletions(-)

commit 3d646804d182d68a95fefd555ed9dbdc0898dc64
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 16:01:56 2013 +0100

    wayland: Use a fake millisecond monotonic time source for event times
    
    The majority of Clutter input events require a time so that that the
    upper levels of abstraction can identify the ordering of events and also
    work out a click count.
    
    Although some Wayland events have microsecond timestamps not all those
    that Clutter expects do have. Therefore we would need to create some
    fake times for those events. Instead we always calculate our own time
    using the monotonic time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697285

 clutter/wayland/clutter-input-device-wayland.c | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 6521701e292d95365fc6fd620db0ae5c06ec61f6
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed Jul 3 18:49:23 2013 +0100

    wayland: add support for connecting to a foreign display
    
    This allows the reuse of the display connection and hence objects with
    existing code that is using Wayland.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703566

 clutter/clutter.symbols                     |  1 +
 clutter/wayland/clutter-backend-wayland.c   | 36 ++++++++++++++++++++++++++++-
 clutter/wayland/clutter-wayland.h           |  5 +++-
 doc/reference/clutter/clutter2-sections.txt |  1 +
 4 files changed, 41 insertions(+), 2 deletions(-)

commit 5c93c0a1af1deb30ff312b38360987fec33d9d96
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 14:22:02 2013 +0100

    wayland: make the surface toplevel when showing the stage
    
    Cogl (as of 0b2b46ce) now only sets the shell surface as toplevel when
    the CoglOnscreen is shown.
    
    Without calling wl_shell_surface_set_toplevel the compositor will not
    know what role to give to the compositor and thus the stage will not
    appear.
    
    When we look to support multiple roles / foreign surfaces we will need
    to revisit this call and ensure we only call it when we are working in
    the default case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703188

 clutter/wayland/clutter-stage-wayland.c | 4 ++++
 1 file changed, 4 insertions(+)

commit cba63dd93f725159091e4b4b19b8e4498c3ef42c
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 14:45:01 2013 +0100

    wayland: Do not poll the Wayland socket for events
    
    Since Cogl also polls on this file descriptor we can get into situations
    where our event source is woken up to handle events but those events
    have instead been handled by Cogl resulting in the source sitting in
    poll().
    
    We can safely rely on Cogl to handle the polling on the event source and
    to dispatch those events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702202

 clutter/wayland/clutter-event-wayland.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit c3be92a30ced66295e117eb754739ea19d95e174
Author: Rob Bradford <rob@linux.intel.com>
Date:   Thu Jun 27 17:46:35 2013 +0100

    wayland: Remove now removed CLUTTER_AVAILABLE_ API annotations
    
    In 00bee5f the API annotations were removed as the API is refreshed from
    the start. This change removes the annotations from the Wayland API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703202

 clutter/wayland/clutter-wayland.h | 3 ---
 1 file changed, 3 deletions(-)

commit 2f95de91c41b1cdcdc5ab319044f4102c2a6e775
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Tue Jun 25 15:04:19 2013 +0200

    clutter-offscreen-effect: Allocate the cogl texture directly
    
    Cogl now lazy loads the textures so we cannot rely on getting NULL
    from cogl_texture_new_with_size so we have to allocate it by ourselves.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=975171

 clutter/clutter-offscreen-effect.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 571eb318d2dbfd85608b3054c90137bde7831f8a
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 24 14:11:30 2013 -0400

    Revert "Install a11y tests too"
    
    This reverts commit 2b4f47d4443bd4625dfbc02eb38faed926d0758d.
    
    These are presently "examples" (because they're just run
    interactively, not automatable tests).
    
    Conflicts:
    	tests/accessibility/Makefile.am

 tests/accessibility/Makefile.am | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 5105edca0f3b034d5323dae77ecc0b4152c5cb5a
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 24 13:38:41 2013 -0400

    build: Use tabs in rule definitions

 tests/accessibility/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2b4f47d4443bd4625dfbc02eb38faed926d0758d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jun 23 23:17:25 2013 -0400

    Install a11y tests too
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702941

 tests/accessibility/Makefile.am | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit e88e690d56f7e5644e342dcc710437ea966e5ccb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jun 23 22:53:13 2013 -0400

    Install conformance tests
    
    Install the conformance tests, and metadata to run them
    with gnome-desktop-testing-runner.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702941

 configure.ac                      |  6 ++++++
 tests/conform/Makefile.am         | 27 ++++++++++++++++++++++++++-
 tests/conform/test-conform-main.c |  2 +-
 tests/data/Makefile.am            |  5 +++++
 4 files changed, 38 insertions(+), 2 deletions(-)

commit 670d2357a6e78e9da7ecfde27b2eeeac1f5bac7a
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Tue Jun 18 16:37:31 2013 -0700

    text: relayout on cursor visibility change
    
    When the cursor visibility changes, we have to relayout the ClutterText
    actor instead of just redrawing it - as the cursor changes the
    PangoLayout size, a size request cycle is needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702610

 clutter/clutter-text.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 90243e9d887046783d1fbcac928048419fe0e8a1
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Jun 11 14:01:30 2013 +0100

    clutter-text: prevent reset of user set font descriptions on dpi changes
    
    When setting the font using clutter_text_set_font_description(), the
    font settings on a ClutterText actor can be reset when there is a dpi
    changes signaled by the backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702016

 clutter/clutter-text.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 96cc131f70bbdfa09a1319730a5899156cadd610
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jun 4 12:17:02 2013 +0200

    Updated Czeach translation

 po/cs.po | 64 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 34 insertions(+), 30 deletions(-)

commit e26963a07730c122526ea7fc38c278be336032f1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jun 3 21:39:06 2013 +0200

    Updated Slovenian translation

 po/sl.po | 672 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 342 insertions(+), 330 deletions(-)

commit 8a3b888226e3cbe3030e85dd8f3b0ac8428d463f
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun May 19 13:02:15 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 668 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 340 insertions(+), 328 deletions(-)

commit 14ea64eb6f7f7f340d36022669de409045566fd4
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 12:07:26 2013 +0100

    docs: Add clutter-wayland section to reference docs
    
    Gives this stray section a home in the reference documentation.

 doc/reference/clutter/Makefile.am           | 2 ++
 doc/reference/clutter/clutter2-docs.xml.in  | 1 +
 doc/reference/clutter/clutter2-sections.txt | 8 ++++++++
 3 files changed, 11 insertions(+)

commit 8231aae3adf795cefd2d98f6801e629b2ae6691b
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 12:33:27 2013 +0100

    clutter-input-device-wayland: Update indentifier name
    
    Fixes a discrepancy between the function name and the gtk-doc identifier
    introduced in 8f4e39b6 when the Wayland input protocol changed.

 clutter/wayland/clutter-input-device-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 188f7d688156e20a097e5c02d7f5d2a9a2cfb806
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon May 13 13:22:50 2013 +0100

    docs: Remove empty line before parameter tags
    
    The gtk-doc parser has somewhat esoteric rules regarding blank lines and
    paragraph breaks, causing these parameter descriptions to be missed. See:
    
    https://developer.gnome.org/gtk-doc-manual/stable/documenting_syntax.html.en

 clutter/wayland/clutter-input-device-wayland.c | 1 -
 clutter/wayland/clutter-stage-wayland.c        | 2 --
 2 files changed, 3 deletions(-)

commit f2918d1a0f5f33a7ada47b4fc79bc824ad4d4b16
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Mon Apr 29 15:59:56 2013 +0100

    clutter-stage-wayland: Pedantic typo fix
    
    Je ne parle pas français

 clutter/wayland/clutter-stage-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e6e69c84de7f0bd491b645709739cead9eb34e2
Author: Chris Cummins <christopher.e.cummins@intel.com>
Date:   Tue May 7 11:50:32 2013 +0100

    wayland: Add API version annotations
    
    Version numbers have been derived from source code comment blocks.

 clutter/wayland/clutter-stage-wayland.c | 2 ++
 clutter/wayland/clutter-wayland.h       | 5 +++++
 2 files changed, 7 insertions(+)

commit 55ec9f57db7d1291219fb7a46353683e9ae94dc9
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri May 3 13:28:05 2013 -0400

    flow-layout: Add :snap-to-grid property
    
    Add a :snap-to-grid property to FlowLayout to prevent the layout from
    assigning it's children a position based on the size of the largest
    child.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648873

 clutter/clutter-flow-layout.c               | 206 ++++++++++++++++++++++------
 clutter/clutter-flow-layout.h               |   3 +
 clutter/clutter.symbols                     |   2 +
 doc/reference/clutter/clutter2-sections.txt |   2 +
 examples/flow-layout.c                      |  10 ++
 5 files changed, 180 insertions(+), 43 deletions(-)

commit b6f4a8014e11ad8d45d212b6765f3fbebe10e180
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu May 2 01:15:10 2013 -0400

    Remove ClutterKnot: Clean clutter2-sections.txt

 doc/reference/clutter/clutter2-sections.txt | 8 --------
 1 file changed, 8 deletions(-)

commit d2fbe4db1b25908151e32e150352a671ada141fa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri May 3 10:16:25 2013 -0400

    Removed unused ClutterKnot
    
    Migration Complete. When you want to use ClutterKnot
    use ClutterPoint instead.
    Updated clutter.symbols to pass 'make check'

 clutter/clutter-path.c           | 62 -------------------------------
 clutter/clutter-script-parser.c  | 80 +---------------------------------------
 clutter/clutter-script-private.h |  3 --
 clutter/clutter-types.h          | 22 -----------
 clutter/clutter.symbols          |  4 --
 5 files changed, 1 insertion(+), 170 deletions(-)

commit 29271a2d73f1e918aeeaef6b693f33a1fe2858d8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Apr 13 13:02:57 2013 -0400

    Updated doc example to use ClutterPoint.

 doc/cookbook/examples/events-pointer-motion-scribbler.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b1fa6434e1bc0f19e91479f8209a9ffa3f1846a8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Apr 13 13:01:10 2013 -0400

    Migrated ClutterPathNode to use ClutterPoint
    
    Removed the use of ClutterKnot almost everywhere
    Updated casting to get the data from the variable arguments list

 clutter/clutter-bezier.c          |  4 +-
 clutter/clutter-bezier.h          |  4 +-
 clutter/clutter-path-constraint.c |  2 +-
 clutter/clutter-path.c            | 89 +++++++++++++++++++++++----------------
 clutter/clutter-path.h            | 43 ++++++++++---------
 clutter/clutter-types.h           |  2 +-
 tests/conform/path.c              |  4 +-
 7 files changed, 83 insertions(+), 65 deletions(-)

commit 7c6d0251dd19328c911a02c3cafdac55859257ee
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Apr 13 12:50:33 2013 -0400

    Migrated internal ClutterBezier to float.
    
    Initial stage of ClutterPath migration to using float.
    Naive implementation of ClutterBezier, for now the points along
    the curve doesn't move at a regular speed. It is required a more
    precise calculation of the length of the curve for that to happen.
    Anyway the old implementation worked like this.

 clutter/clutter-bezier.c | 481 ++++++++++++++++-------------------------------
 clutter/clutter-bezier.h |  42 ++---
 clutter/clutter-path.c   |   3 +-
 3 files changed, 185 insertions(+), 341 deletions(-)

commit 2be42c333ae621df085005e08b7c5c08c02dcbe5
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Apr 29 14:59:20 2013 +0100

    ClutterDragAction: do not dereference a NULL priv->stage
    
    When destroying an actor during a drag-action with a drag_handle, the
    ClutterDragAction's priv->stage could be set to NULL in _set_actor().
    _dispose() must not assume that priv->stage is not NULL.
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=681814

 clutter/clutter-drag-action.c | 44 +++++++++++++++++++++++++------------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit a0d9eaf15da5d2227bc95c6946fca5ed356fdfdb
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Apr 26 15:26:48 2013 +0100

    fix crash when destroying an actor during a drag-action with a drag_handle
    
    Bug introduced by commit 59801ef8 (drag-action: fix press coords transform
    with drag_handle) for bgo#681746.
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=681814

 clutter/clutter-drag-action.c | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 5586b0deba9317a58cbc62caab295c613fdcfb44
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Tue Mar 12 14:11:35 2013 +0100

    GDK: fix build when the X11 backend is disabled
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695710

 clutter/gdk/clutter-stage-gdk.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3893448e0a8a7b9f72305ba497c7b4513c04657d
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 27 01:38:13 2013 +0200

    Updated Czech translation

 po/cs.po | 1511 ++++++++++++++------------------------------------------------
 1 file changed, 344 insertions(+), 1167 deletions(-)

commit 9cb62762551d0cef12b9a4de7cf93ec5d55aed3a
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Apr 23 17:52:22 2013 -0700

    zoom-action: improve zooming behavior
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698674

 clutter/clutter-zoom-action.c | 44 ++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 221fa225b3b3653c7c95f43736f51ced4ca3501c
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Apr 22 16:20:49 2013 -0700

    gesture-action: refactor event handling function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698671

 clutter/clutter-gesture-action.c | 118 ++++++++++++++++++++++++++-------------
 1 file changed, 78 insertions(+), 40 deletions(-)

commit 04f20909e398d3e6699f6e02d898dde7c5864429
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Apr 22 14:57:47 2013 -0700

    gesture-action: fix trigger edge after behavior with more than 1 point
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698669

 clutter/clutter-gesture-action.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2b25b056ad504e836267a747ee70a0a48c019da7
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 16:11:42 2013 +0100

    gesture-action: add n-touch-points property
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action.c | 89 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)

commit ed92f63f306838abe48f3a85e574ba9405610750
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 16:12:32 2013 +0100

    gesture-action: avoid shadowing time() syscall function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 1ee07e5d485b54aa9b29232afd36d32fee926320
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Apr 7 15:47:26 2013 +0100

    gesture-action: fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698668

 clutter/clutter-gesture-action-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06bb6f4c1800a0e5fcbc0ea934cd03bcbceac7c3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 5 22:50:36 2013 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 76ee3e76716f995e67f0748932145bff096aa0dd
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Apr 5 16:51:15 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2158 ++++++++++++++++++++++++++---------------------------------
 1 file changed, 958 insertions(+), 1200 deletions(-)

commit 4d7a2cdcf4754f88345ff932e2e0e341ee4307a9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Oct 8 00:18:11 2012 +0100

    2.0: Update POTFILES.in

 po/POTFILES.in | 20 --------------------
 1 file changed, 20 deletions(-)

commit af2f9857fef23c9c1cd4c8d44ed9d92e8c9651f7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:15:20 2012 +0100

    2.0: Update the symbols file

 clutter/clutter.symbols | 1 -
 1 file changed, 1 deletion(-)

commit 25b9fad69881601dff7dfcaacf3a6fd93af295cb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:14:33 2012 +0100

    2.0: Clean up the Clutter API reference

 doc/reference/clutter/clutter2-docs.xml.in  |   3 -
 doc/reference/clutter/clutter2-sections.txt | 500 ++--------------------------
 2 files changed, 25 insertions(+), 478 deletions(-)

commit b0f3192802e90205b6eacfcf218b9396b70ca4b1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:14:12 2012 +0100

    2.0: Fix up documentation annotations

 clutter/clutter-shader-types.h | 6 ------
 clutter/clutter-util.c         | 7 -------
 2 files changed, 13 deletions(-)

commit ca3e1b4d11cd723cf4717524b34b374a0f8307a9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:06:43 2012 +0100

    2.0: Include clutter headers conditionally in clutter-x11.h
    
    We want to avoid clutter-x11.h leaking Clutter symbols (i.e. you need to
    include clutter.h yourself before including clutter-x11.h), but we need
    to do so conditionally, so that ancillary stuff like gtk-doc and
    g-ir-scanner get the right types while building Clutter itself.

 clutter/x11/clutter-x11.h | 5 +++++
 1 file changed, 5 insertions(+)

commit b4758c352607d1eede26d95056314de921b4e2b1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:04:21 2012 +0100

    2.0: Fix up the versioning macros

 clutter/clutter-macros.h     | 14 +++++++++-----
 clutter/clutter-version.h.in |  2 +-
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 08a36c3e284c67c81edeb2e199fa9c6665f7ae5f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:04:07 2012 +0100

    2.0: Remove unused enumerations

 clutter/clutter-enums.h | 18 ------------------
 1 file changed, 18 deletions(-)

commit 93b965f71d3da7d02e942e88aeb6ff262920788f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 21:48:02 2012 +0100

    2.0: Remove deprecated symbols from the tree
    
    And fix the fallout.

 clutter/clutter-enums.h                            |   78 +-
 clutter/clutter-group.h                            |   95 -
 clutter/clutter-main.c                             |   27 +-
 clutter/clutter-main.h                             |    2 -
 clutter/clutter-master-clock.c                     |    4 +-
 clutter/clutter-private.h                          |    1 +
 clutter/clutter-script.c                           |    3 -
 clutter/clutter-stage.h                            |    2 +-
 clutter/clutter-texture.h                          |  128 -
 clutter/clutter-types.h                            |    9 -
 clutter/clutter.h                                  |    2 -
 clutter/clutter.symbols                            |    5 -
 clutter/deprecated/clutter-actor-deprecated.c      |  411 ---
 clutter/deprecated/clutter-actor.h                 |  161 -
 clutter/deprecated/clutter-alpha.c                 |  959 ------
 clutter/deprecated/clutter-alpha.h                 |  144 -
 clutter/deprecated/clutter-animatable.h            |   47 -
 clutter/deprecated/clutter-animation.c             | 2663 -----------------
 clutter/deprecated/clutter-animation.h             |  206 --
 clutter/deprecated/clutter-animator.c              | 2176 --------------
 clutter/deprecated/clutter-animator.h              |  186 --
 clutter/deprecated/clutter-backend.h               |   64 -
 clutter/deprecated/clutter-behaviour-depth.c       |  309 --
 clutter/deprecated/clutter-behaviour-depth.h       |  101 -
 clutter/deprecated/clutter-behaviour-ellipse.c     | 1068 -------
 clutter/deprecated/clutter-behaviour-ellipse.h     |  159 -
 clutter/deprecated/clutter-behaviour-opacity.c     |  322 --
 clutter/deprecated/clutter-behaviour-opacity.h     |  115 -
 clutter/deprecated/clutter-behaviour-path.c        |  477 ---
 clutter/deprecated/clutter-behaviour-path.h        |  135 -
 clutter/deprecated/clutter-behaviour-rotate.c      |  697 -----
 clutter/deprecated/clutter-behaviour-rotate.h      |  119 -
 clutter/deprecated/clutter-behaviour-scale.c       |  443 ---
 clutter/deprecated/clutter-behaviour-scale.h       |  107 -
 clutter/deprecated/clutter-behaviour.c             |  669 -----
 clutter/deprecated/clutter-behaviour.h             |  170 --
 clutter/deprecated/clutter-bin-layout.h            |   56 -
 clutter/deprecated/clutter-box.c                   |  737 -----
 clutter/deprecated/clutter-box.h                   |  143 -
 clutter/deprecated/clutter-cairo-texture.c         | 1177 --------
 clutter/deprecated/clutter-cairo-texture.h         |  139 -
 clutter/deprecated/clutter-container.h             |   93 -
 clutter/deprecated/clutter-fixed.c                 |  205 --
 clutter/deprecated/clutter-fixed.h                 |   97 -
 clutter/deprecated/clutter-frame-source.c          |  267 --
 clutter/deprecated/clutter-frame-source.h          |   49 -
 clutter/deprecated/clutter-group.c                 |  564 ----
 clutter/deprecated/clutter-group.h                 |   62 -
 .../deprecated/clutter-input-device-deprecated.c   |   38 -
 clutter/deprecated/clutter-input-device.h          |   41 -
 clutter/deprecated/clutter-keysyms.h               | 2306 --------------
 .../deprecated/clutter-layout-manager-deprecated.c |   89 -
 clutter/deprecated/clutter-main.h                  |   96 -
 clutter/deprecated/clutter-media.c                 |  665 -----
 clutter/deprecated/clutter-media.h                 |  121 -
 clutter/deprecated/clutter-rectangle.c             |  559 ----
 clutter/deprecated/clutter-rectangle.h             |  117 -
 clutter/deprecated/clutter-score.c                 | 1168 --------
 clutter/deprecated/clutter-score.h                 |  144 -
 clutter/deprecated/clutter-shader.c                |  942 ------
 clutter/deprecated/clutter-shader.h                |  182 --
 clutter/deprecated/clutter-stage-manager.h         |   42 -
 clutter/deprecated/clutter-stage.h                 |  102 -
 clutter/deprecated/clutter-state.c                 | 2315 --------------
 clutter/deprecated/clutter-state.h                 |  187 --
 clutter/deprecated/clutter-texture.c               | 3156 --------------------
 clutter/deprecated/clutter-texture.h               |  138 -
 clutter/deprecated/clutter-timeline.h              |   41 -
 clutter/deprecated/clutter-timeout-interval.c      |  142 -
 clutter/deprecated/clutter-timeout-interval.h      |   58 -
 clutter/deprecated/clutter-timeout-pool.c          |  500 ----
 clutter/deprecated/clutter-timeout-pool.h          |   69 -
 clutter/deprecated/clutter-util.h                  |   40 -
 clutter/gdk/clutter-stage-gdk.h                    |    1 -
 clutter/x11/clutter-backend-x11.c                  |   28 +-
 clutter/x11/clutter-device-manager-xi2.c           |    1 +
 clutter/x11/clutter-stage-x11.c                    |   31 -
 clutter/x11/clutter-stage-x11.h                    |    3 -
 clutter/x11/clutter-x11.h                          |   12 +-
 79 files changed, 30 insertions(+), 29157 deletions(-)

commit 408d29bfde45b897b5c3845523a42fa97230374a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 21:17:05 2012 +0100

    2.0: Update symbols file

 clutter/clutter.symbols | 439 +-----------------------------------------------
 1 file changed, 3 insertions(+), 436 deletions(-)

commit 5e44d7de08d24f430fbfcbc9a5e4575fa4373f02
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 20:15:36 2012 +0100

    2.0: Fix up the ignore file

 .gitignore | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e8eab9db44f0f1076269de5a270cd87d9ff9fcd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:18:33 2012 +0100

    2.0: Update cally-atkcomponent-example
    
    Drop the deprecated API; the test has not been re-enabled yet, to allow
    for review.

 tests/accessibility/cally-atkcomponent-example.c | 30 ++++++++++++++----------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 0e9709f666f61f64ffea17a0e56508a8aa427b85
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:17:24 2012 +0100

    2.0: Disable Cally tests

 tests/accessibility/Makefile.am | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 2bb7cafee7d7752a08e30d8931cb2c9109be915d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:52:47 2012 +0100

    2.0: Prune performance test suite

 tests/interactive/Makefile.am |  2 +-
 tests/performance/Makefile.am | 23 ++++++++---------------
 2 files changed, 9 insertions(+), 16 deletions(-)

commit e7f8c27021e0165afb2663dd45d310921ac017c3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:52:14 2012 +0100

    2.0: Prune micro-bench test suite

 tests/micro-bench/Makefile.am | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit 9720a59482fa26c50ebd10be7e13f6f946ef2b8b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:51:39 2012 +0100

    2.0: Prune interactive test suite

 tests/interactive/Makefile.am | 60 +------------------------------------------
 1 file changed, 1 insertion(+), 59 deletions(-)

commit 1ff3011cb7374bf8ca6eac5cd2791c4c8211b9d6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:50:42 2012 +0100

    2.0: Prune conformance test suite

 tests/conform/Makefile.am                |  39 ------------
 tests/conform/actor-graph.c              |   8 ---
 tests/conform/actor-invariants.c         | 106 +++----------------------------
 tests/conform/actor-layout.c             |   4 +-
 tests/conform/actor-offscreen-redirect.c |  29 ++++-----
 tests/conform/binding-pool.c             |  60 +++++++++--------
 tests/conform/cally-text.c               |   4 +-
 tests/conform/test-conform-main.c        |  46 --------------
 tests/conform/text-cache.c               |   2 +-
 tests/conform/timeline-interpolate.c     |   2 +-
 tests/conform/timeline.c                 |   4 +-
 11 files changed, 59 insertions(+), 245 deletions(-)

commit 8d181c46d91608f8dde72ffa08e6d15d0bce4330
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:11:59 2012 +0100

    2.0: Remove unused arguments from doc annotations

 clutter/clutter-bin-layout.c | 6 ------
 1 file changed, 6 deletions(-)

commit 1057223227fb14f3ea43d05d963c0d92835c60e1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:16:11 2012 +0100

    2.0: Remove compatibility header from keysyms update script

 clutter/clutter-keysyms-update.pl | 35 -----------------------------------
 1 file changed, 35 deletions(-)

commit 5ec07ec8c55dcd181285962cf2dbf80d1a542450
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:11:34 2012 +0100

    2.0: Update gitignore file

 .gitignore | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 230f871cd66233a04dff91844735dce9643c16fa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:10:42 2012 +0100

    2.0: Remove backward compat variables from the pkgconfig file

 clutter/clutter.pc.in | 7 -------
 1 file changed, 7 deletions(-)

commit 4a7ebde571ea2bfa6a862363cef33b449cd3c797
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:09:57 2012 +0100

    2.0: Remove unnecessary symbols

 clutter/clutter-macros.h     | 167 ++++++-------------------------------------
 clutter/clutter-main.c       |   6 +-
 clutter/clutter-version.h.in | 152 +--------------------------------------
 3 files changed, 29 insertions(+), 296 deletions(-)

commit b4410c55239abb76330b97757116191647574139
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:07:47 2012 +0100

    2.0: Clean up Clutter's API reference

 doc/reference/clutter/clutter2-docs.xml.in  | 100 ------
 doc/reference/clutter/clutter2-sections.txt | 452 ----------------------------
 doc/reference/clutter/clutter2.types        |  18 --
 3 files changed, 570 deletions(-)

commit 85f4e3344381acd01a5d245fc9df6ad3a27a6ed2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 09:59:20 2012 +0100

    2.0: Bump down ClutterStageClass padding

 clutter/clutter-stage.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07630362ae266cc3b38ac1ca8fde5d875820c878
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 09:59:03 2012 +0100

    2.0: Bump up ClutterActorClass padding

 clutter/clutter-actor.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f0ac3548fc7823988ddc543337563e179b7b62f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 09:57:05 2012 +0100

    2.0: Start migrating API references

 configure.ac                                |    4 +-
 doc/reference/cally/Makefile.am             |    5 +-
 doc/reference/cally/cally-docs.xml.in       |  145 --
 doc/reference/cally/cally-sections.txt      |  176 --
 doc/reference/cally/cally.types             |    9 -
 doc/reference/cally/cally2-docs.xml.in      |  145 ++
 doc/reference/cally/cally2-sections.txt     |  176 ++
 doc/reference/cally/cally2.types            |    6 +
 doc/reference/clutter/Makefile.am           |   19 +-
 doc/reference/clutter/clutter-docs.xml.in   |  394 ---
 doc/reference/clutter/clutter-sections.txt  | 3505 ---------------------------
 doc/reference/clutter/clutter.types         |   84 -
 doc/reference/clutter/clutter2-docs.xml.in  |  394 +++
 doc/reference/clutter/clutter2-sections.txt | 3505 +++++++++++++++++++++++++++
 doc/reference/clutter/clutter2.types        |   83 +
 15 files changed, 4315 insertions(+), 4335 deletions(-)

commit a80da3da53c52afc1e98ef9abf2c5c0cad974159
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 21:16:33 2012 +0100

    2.0: Remove unused enumeration types

 clutter/clutter-enums.h | 35 -----------------------------------
 1 file changed, 35 deletions(-)

commit 00bee5f1734e0bade1f711ec10362b1766e4ba53
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 09:51:32 2012 +0100

    2.0: Remove CLUTTER_AVAILABLE_IN_1_*
    
    We are starting from scratch.

 clutter/clutter-actor.h               | 172 +++++++++++++++++-----------------
 clutter/clutter-box-layout.h          |   4 +-
 clutter/clutter-canvas.h              |   6 +-
 clutter/clutter-content.h             |   6 +-
 clutter/clutter-drag-action.h         |   4 +-
 clutter/clutter-event.h               |  20 ++--
 clutter/clutter-gesture-action.h      |   9 --
 clutter/clutter-grid-layout.h         |  36 +++----
 clutter/clutter-image.h               |  14 +--
 clutter/clutter-input-device.h        |  14 +--
 clutter/clutter-interval.h            |   2 +-
 clutter/clutter-keyframe-transition.h |  20 ++--
 clutter/clutter-main.h                |   2 +-
 clutter/clutter-offscreen-effect.h    |   2 +-
 clutter/clutter-paint-node.h          |  25 +++--
 clutter/clutter-paint-nodes.h         |  19 ++--
 clutter/clutter-pan-action.h          |  15 +--
 clutter/clutter-property-transition.h |   8 +-
 clutter/clutter-rotate-action.h       |   4 +-
 clutter/clutter-script.h              |   6 +-
 clutter/clutter-scroll-actor.h        |  12 +--
 clutter/clutter-text-buffer.h         |  26 ++---
 clutter/clutter-text.h                |   8 +-
 clutter/clutter-timeline.h            |  22 ++---
 clutter/clutter-transition-group.h    |  10 +-
 clutter/clutter-transition.h          |  22 ++---
 clutter/clutter-types.h               |  80 ++++++++--------
 clutter/clutter-zoom-action.h         |  12 +--
 28 files changed, 275 insertions(+), 305 deletions(-)

commit e3259435f26fe72b6fe2849a8050abf8ffe3883b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 09:48:36 2012 +0100

    2.0: Remove all Since: annotations
    
    We're starting from scratch.

 clutter/cex100/clutter-backend-cex100.c            |   6 +-
 clutter/clutter-action.h                           |   4 +-
 clutter/clutter-actor-box.c                        |  42 +-
 clutter/clutter-actor-meta.c                       |  18 +-
 clutter/clutter-actor-meta.h                       |   4 +-
 clutter/clutter-actor-private.h                    |   2 +-
 clutter/clutter-actor.c                            | 526 ++++++++++-----------
 clutter/clutter-actor.h                            |   2 +-
 clutter/clutter-align-constraint.c                 |  20 +-
 clutter/clutter-align-constraint.h                 |   2 +-
 clutter/clutter-animatable.c                       |   8 +-
 clutter/clutter-animatable.h                       |   4 +-
 clutter/clutter-backend.c                          |  18 +-
 clutter/clutter-backend.h                          |   2 +-
 clutter/clutter-base-types.c                       |  92 ++--
 clutter/clutter-bin-layout.c                       |   2 +-
 clutter/clutter-bin-layout.h                       |   4 +-
 clutter/clutter-bind-constraint.c                  |  20 +-
 clutter/clutter-bind-constraint.h                  |   2 +-
 clutter/clutter-binding-pool.c                     |  26 +-
 clutter/clutter-binding-pool.h                     |   4 +-
 clutter/clutter-blur-effect.c                      |   2 +-
 clutter/clutter-blur-effect.h                      |   2 +-
 clutter/clutter-box-layout.c                       |  26 +-
 clutter/clutter-box-layout.h                       |   4 +-
 clutter/clutter-brightness-contrast-effect.c       |  18 +-
 clutter/clutter-brightness-contrast-effect.h       |   2 +-
 clutter/clutter-cairo.c                            |   4 +-
 clutter/clutter-cairo.h                            |   2 +-
 clutter/clutter-canvas.c                           |  10 +-
 clutter/clutter-canvas.h                           |   4 +-
 clutter/clutter-child-meta.c                       |   8 +-
 clutter/clutter-child-meta.h                       |   4 +-
 clutter/clutter-click-action.c                     |  22 +-
 clutter/clutter-click-action.h                     |   4 +-
 clutter/clutter-clone.c                            |   8 +-
 clutter/clutter-clone.h                            |   4 +-
 clutter/clutter-color.c                            |  28 +-
 clutter/clutter-color.h                            |   6 +-
 clutter/clutter-colorize-effect.c                  |   8 +-
 clutter/clutter-colorize-effect.h                  |   2 +-
 clutter/clutter-constraint.h                       |   4 +-
 clutter/clutter-container.c                        |  26 +-
 clutter/clutter-container.h                        |   4 +-
 clutter/clutter-content.c                          |   8 +-
 clutter/clutter-content.h                          |   4 +-
 clutter/clutter-deform-effect.c                    |  16 +-
 clutter/clutter-deform-effect.h                    |   4 +-
 clutter/clutter-desaturate-effect.c                |   8 +-
 clutter/clutter-desaturate-effect.h                |   2 +-
 clutter/clutter-device-manager.c                   |  14 +-
 clutter/clutter-device-manager.h                   |   4 +-
 clutter/clutter-drag-action.c                      |  38 +-
 clutter/clutter-drag-action.h                      |   4 +-
 clutter/clutter-drop-action.c                      |  12 +-
 clutter/clutter-drop-action.h                      |   4 +-
 clutter/clutter-effect.c                           |   2 +-
 clutter/clutter-effect.h                           |   4 +-
 clutter/clutter-enums.h                            |  88 ++--
 clutter/clutter-event.c                            |  94 ++--
 clutter/clutter-event.h                            |  32 +-
 clutter/clutter-feature.c                          |   4 +-
 clutter/clutter-fixed-layout.c                     |   2 +-
 clutter/clutter-fixed-layout.h                     |   4 +-
 clutter/clutter-flow-layout.c                      |  42 +-
 clutter/clutter-flow-layout.h                      |   4 +-
 clutter/clutter-gesture-action-private.h           |   2 -
 clutter/clutter-gesture-action.c                   |  38 +-
 clutter/clutter-gesture-action.h                   |   4 +-
 clutter/clutter-grid-layout.c                      |  40 +-
 clutter/clutter-grid-layout.h                      |   4 +-
 clutter/clutter-group.h                            |   4 +-
 clutter/clutter-image.c                            |  10 +-
 clutter/clutter-image.h                            |   8 +-
 clutter/clutter-input-device.c                     |  66 +--
 clutter/clutter-interval.c                         |  42 +-
 clutter/clutter-interval.h                         |   4 +-
 clutter/clutter-keyframe-transition.c              |  18 +-
 clutter/clutter-keyframe-transition.h              |   4 +-
 clutter/clutter-keysyms-table.c                    |   2 +-
 clutter/clutter-layout-manager.c                   |  26 +-
 clutter/clutter-layout-manager.h                   |   4 +-
 clutter/clutter-layout-meta.c                      |   4 +-
 clutter/clutter-layout-meta.h                      |   4 +-
 clutter/clutter-list-model.c                       |   4 +-
 clutter/clutter-list-model.h                       |   4 +-
 clutter/clutter-macros.h                           |  10 +-
 clutter/clutter-main.c                             |  56 ++-
 clutter/clutter-main.h                             |   4 +-
 clutter/clutter-model.c                            |  94 ++--
 clutter/clutter-model.h                            |  14 +-
 clutter/clutter-offscreen-effect.c                 |  14 +-
 clutter/clutter-offscreen-effect.h                 |   4 +-
 clutter/clutter-page-turn-effect.c                 |  20 +-
 clutter/clutter-page-turn-effect.h                 |   2 +-
 clutter/clutter-paint-node-private.h               |   2 +-
 clutter/clutter-paint-node.c                       |  46 +-
 clutter/clutter-paint-node.h                       |   2 +-
 clutter/clutter-paint-nodes.c                      |  22 +-
 clutter/clutter-paint-nodes.h                      |  10 +-
 clutter/clutter-paint-volume.c                     |  30 +-
 clutter/clutter-pan-action.c                       |  40 --
 clutter/clutter-pan-action.h                       |   4 -
 clutter/clutter-path-constraint.c                  |  16 +-
 clutter/clutter-path-constraint.h                  |   2 +-
 clutter/clutter-path.c                             |  62 +--
 clutter/clutter-path.h                             |   6 +-
 clutter/clutter-property-transition.c              |   8 +-
 clutter/clutter-property-transition.h              |   4 +-
 clutter/clutter-rotate-action.c                    |   6 +-
 clutter/clutter-rotate-action.h                    |   4 +-
 clutter/clutter-script.c                           |  40 +-
 clutter/clutter-script.h                           |  10 +-
 clutter/clutter-scriptable.c                       |   8 +-
 clutter/clutter-scriptable.h                       |   4 +-
 clutter/clutter-scroll-actor.c                     |  12 +-
 clutter/clutter-scroll-actor.h                     |   4 +-
 clutter/clutter-settings.c                         |  26 +-
 clutter/clutter-shader-effect.c                    |  14 +-
 clutter/clutter-shader-effect.h                    |   4 +-
 clutter/clutter-shader-types.c                     |  12 +-
 clutter/clutter-shader-types.h                     |   6 +-
 clutter/clutter-snap-constraint.c                  |  22 +-
 clutter/clutter-snap-constraint.h                  |   2 +-
 clutter/clutter-stage-manager.c                    |  14 +-
 clutter/clutter-stage-manager.h                    |   4 +-
 clutter/clutter-stage-window.h                     |   4 +-
 clutter/clutter-stage.c                            |  88 ++--
 clutter/clutter-stage.h                            |   6 +-
 clutter/clutter-swipe-action.c                     |   6 +-
 clutter/clutter-swipe-action.h                     |   4 +-
 clutter/clutter-table-layout.c                     |  24 +-
 clutter/clutter-table-layout.h                     |   4 +-
 clutter/clutter-tap-action.c                       |   6 -
 clutter/clutter-tap-action.h                       |   2 -
 clutter/clutter-text-buffer.c                      |  36 +-
 clutter/clutter-text-buffer.h                      |   6 +-
 clutter/clutter-text.c                             | 206 +++-----
 clutter/clutter-text.h                             |   4 +-
 clutter/clutter-texture.h                          |   8 +-
 clutter/clutter-timeline.c                         |  72 ++-
 clutter/clutter-timeline.h                         |   6 +-
 clutter/clutter-transition-group.c                 |   8 +-
 clutter/clutter-transition-group.h                 |   4 +-
 clutter/clutter-transition.c                       |  26 +-
 clutter/clutter-transition.h                       |   4 +-
 clutter/clutter-types.h                            |  40 +-
 clutter/clutter-units.c                            |  32 +-
 clutter/clutter-units.h                            |   6 +-
 clutter/clutter-util.c                             |   2 +-
 clutter/clutter-zoom-action.c                      |  16 +-
 clutter/clutter-zoom-action.h                      |   4 +-
 clutter/deprecated/clutter-actor-deprecated.c      |  12 +-
 clutter/deprecated/clutter-alpha.c                 |  30 +-
 clutter/deprecated/clutter-alpha.h                 |   6 +-
 clutter/deprecated/clutter-animation.c             |  74 +--
 clutter/deprecated/clutter-animation.h             |   4 +-
 clutter/deprecated/clutter-animator.c              |  46 +-
 clutter/deprecated/clutter-animator.h              |   6 +-
 clutter/deprecated/clutter-behaviour-depth.c       |  10 +-
 clutter/deprecated/clutter-behaviour-depth.h       |   4 +-
 clutter/deprecated/clutter-behaviour-ellipse.c     |  54 +--
 clutter/deprecated/clutter-behaviour-ellipse.h     |   4 +-
 clutter/deprecated/clutter-behaviour-opacity.c     |  12 +-
 clutter/deprecated/clutter-behaviour-opacity.h     |   4 +-
 clutter/deprecated/clutter-behaviour-path.c        |  12 +-
 clutter/deprecated/clutter-behaviour-path.h        |   4 +-
 clutter/deprecated/clutter-behaviour-rotate.c      |  32 +-
 clutter/deprecated/clutter-behaviour-rotate.h      |   4 +-
 clutter/deprecated/clutter-behaviour-scale.c       |  14 +-
 clutter/deprecated/clutter-behaviour-scale.h       |   4 +-
 clutter/deprecated/clutter-behaviour.c             |  26 +-
 clutter/deprecated/clutter-behaviour.h             |   6 +-
 clutter/deprecated/clutter-box.c                   |  24 +-
 clutter/deprecated/clutter-box.h                   |   4 +-
 clutter/deprecated/clutter-cairo-texture.c         |  30 +-
 clutter/deprecated/clutter-cairo-texture.h         |   4 +-
 clutter/deprecated/clutter-fixed.c                 |   6 +-
 clutter/deprecated/clutter-fixed.h                 |   4 +-
 clutter/deprecated/clutter-frame-source.c          |   8 +-
 clutter/deprecated/clutter-group.c                 |   4 +-
 .../deprecated/clutter-input-device-deprecated.c   |   2 +-
 .../deprecated/clutter-layout-manager-deprecated.c |   6 +-
 clutter/deprecated/clutter-media.c                 |  54 +--
 clutter/deprecated/clutter-media.h                 |   4 +-
 clutter/deprecated/clutter-rectangle.c             |  12 +-
 clutter/deprecated/clutter-rectangle.h             |   4 +-
 clutter/deprecated/clutter-score.c                 |  40 +-
 clutter/deprecated/clutter-score.h                 |   4 +-
 clutter/deprecated/clutter-shader.c                |  36 +-
 clutter/deprecated/clutter-shader.h                |   8 +-
 clutter/deprecated/clutter-stage.h                 |   4 +-
 clutter/deprecated/clutter-state.c                 |  52 +-
 clutter/deprecated/clutter-state.h                 |   6 +-
 clutter/deprecated/clutter-texture.c               |  60 +--
 clutter/deprecated/clutter-timeout-pool.c          |   6 +-
 clutter/deprecated/clutter-timeout-pool.h          |   2 +-
 clutter/egl/clutter-backend-eglnative.c            |   6 +-
 clutter/egl/clutter-egl.h                          |   4 +-
 clutter/evdev/clutter-device-manager-evdev.c       |   4 +-
 clutter/evdev/clutter-input-device-evdev.c         |   4 +-
 clutter/gdk/clutter-backend-gdk.c                  |   6 +-
 clutter/gdk/clutter-stage-gdk.c                    |   6 +-
 clutter/wayland/clutter-input-device-wayland.c     |   2 +-
 clutter/wayland/clutter-stage-wayland.c            |   2 +-
 clutter/wayland/clutter-wayland-surface.c          |  14 +-
 clutter/wayland/clutter-wayland-surface.h          |   4 +-
 clutter/win32/clutter-backend-win32.c              |   2 +-
 clutter/win32/clutter-event-win32.c                |   2 +-
 clutter/win32/clutter-stage-win32.c                |   6 +-
 clutter/x11/clutter-backend-x11.c                  |  37 +-
 clutter/x11/clutter-event-x11.c                    |   8 +-
 clutter/x11/clutter-glx-texture-pixmap.c           |   8 +-
 clutter/x11/clutter-glx-texture-pixmap.h           |   4 +-
 clutter/x11/clutter-stage-x11.c                    |   8 +-
 clutter/x11/clutter-x11-texture-pixmap.c           |  20 +-
 clutter/x11/clutter-x11-texture-pixmap.h           |   4 +-
 clutter/x11/clutter-x11.h                          |   4 +-
 218 files changed, 1853 insertions(+), 2038 deletions(-)

commit f1846bcb53bb8a86b9b62362f579fc81276ac525
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 12:35:25 2012 +0100

    2.0: Remove include directives for deprecated headers

 clutter/clutter-animatable.c     | 5 -----
 clutter/clutter-backend.c        | 3 ---
 clutter/clutter-flow-layout.c    | 4 +---
 clutter/clutter-interval.c       | 2 --
 clutter/clutter-layout-manager.c | 5 +----
 clutter/clutter-stage.c          | 3 ---
 clutter/clutter-util.c           | 2 --
 7 files changed, 2 insertions(+), 22 deletions(-)

commit 03a8e2f7b83474057b856be5eafd97517b3f107d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 10:55:28 2012 +0100

    2.0: Remove deprecated symbols from the installed headers

 clutter/clutter-box-layout.h     | 57 --------------------------
 clutter/clutter-deprecated.h     | 35 ----------------
 clutter/clutter-enums.h          | 88 ----------------------------------------
 clutter/clutter-layout-manager.h |  9 ----
 clutter/clutter-script.h         |  9 ----
 5 files changed, 198 deletions(-)

commit 0b03a4cb0a1ab5eaf314c700feae63cbe4b88767
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Mar 30 00:24:17 2013 +0000

    2.0: Remove ClutterGeometry

 clutter/clutter-base-types.c               | 108 -----------------------------
 clutter/clutter-script-parser.c            |  72 +++++++++----------
 clutter/clutter-script-private.h           |   4 +-
 clutter/clutter-types.h                    |  36 ----------
 clutter/clutter.symbols                    |   3 -
 doc/reference/clutter/clutter-sections.txt |   7 --
 6 files changed, 38 insertions(+), 192 deletions(-)

commit 0724b3fb916d27d5ce4122763106773f696bf07d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 21:15:49 2012 +0100

    2.0: Remove deprecated API from Animatable

 clutter/clutter-animatable.c | 2 --
 clutter/clutter-animatable.h | 9 ---------
 2 files changed, 11 deletions(-)

commit 465a324ecc6869e95f45039366fbecfdd7f94821
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 10:50:13 2012 +0100

    2.0: Remove deprecated API from ClutterTableLayout

 clutter/clutter-table-layout.c | 978 +----------------------------------------
 clutter/clutter-table-layout.h |  47 --
 2 files changed, 11 insertions(+), 1014 deletions(-)

commit af21fcc73467759729d2425eba19d30222834a4f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 10:44:04 2012 +0100

    2.0: Remove deprecated API from clutter-util.c

 clutter/clutter-util.c | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 270ceebf8de324860fdd0fe546edb9f79b39d034
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 10:43:29 2012 +0100

    2.0: Remove deprecated API from ClutterText

 clutter/clutter-text.c | 65 +-------------------------------------------------
 clutter/clutter-text.h |  3 ---
 2 files changed, 1 insertion(+), 67 deletions(-)

commit b3dfa71ca51a7387d638fcf81d7a563e651e3f23
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 10:42:26 2012 +0100

    2.0: Remove deprecated API from ClutterBoxLayout

 clutter/clutter-bin-layout.c |  667 +-----------------------
 clutter/clutter-bin-layout.h |    3 +-
 clutter/clutter-box-layout.c | 1145 +-----------------------------------------
 examples/bin-layout.c        |    5 +-
 examples/box-layout.c        |    5 +-
 examples/grid-layout.c       |   20 +-
 6 files changed, 52 insertions(+), 1793 deletions(-)

commit ad4d475d3a6ed9a93344e10f8052a321b745c5c4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:46:59 2012 +0100

    2.0: Remove deprecated ClutterContainer API

 clutter/clutter-bin-layout.c   |   3 +-
 clutter/clutter-box-layout.c   |   2 +-
 clutter/clutter-container.c    | 757 +----------------------------------------
 clutter/clutter-container.h    | 111 ++----
 clutter/clutter-stage.c        |  70 +---
 clutter/clutter-table-layout.c |   2 +-
 6 files changed, 42 insertions(+), 903 deletions(-)

commit 6155a1900be5382735585c5ca72671a2fdde3770
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:36:35 2012 +0100

    2.0: Remove deprecated API from ClutterStage

 clutter/clutter-stage.c | 388 +-----------------------------------------------
 clutter/clutter-stage.h |  21 ---
 2 files changed, 1 insertion(+), 408 deletions(-)

commit 0c5e99429fb7987b9e1672c91ae52b66c5fff9ef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:33:03 2012 +0100

    2.0: Remove deprecated API from clutter-main.c

 clutter/clutter-main.c | 494 -------------------------------------------------
 1 file changed, 494 deletions(-)

commit 0e1a651a1a824f717910b2ecfa56fbf346fe3302
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:30:23 2012 +0100

    2.0: Remove deprecated API from ClutterSettings

 clutter/clutter-settings.c | 24 ------------------------
 1 file changed, 24 deletions(-)

commit e0aeb03b045869ae0f2c34e30315ba52edc49341
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:29:03 2012 +0100

    2.0: Remove deprecated API from ClutterTimeline

 clutter/clutter-timeline.c | 124 ---------------------------------------------
 1 file changed, 124 deletions(-)

commit ca2f1b68185c06f8c8a7705cf9b88f96a0923705
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:27:39 2012 +0100

    2.0: Remove deprecated API from ClutterStageManager

 clutter/clutter-stage-manager.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 5f0c5447b7ccbc32b9bb576f82572965a0cab7e2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:26:26 2012 +0100

    2.0: Remove ClutterActor::paint and ::pick signals

 clutter/clutter-actor.c | 109 +-----------------------------------------------
 1 file changed, 2 insertions(+), 107 deletions(-)

commit 4926e0e5c258987d8b6289548e75be395ffd2139
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 24 08:22:19 2012 +0100

    2.0: Remove deprecated API from ClutterBackend

 clutter/clutter-backend.c | 184 ----------------------------------------------
 1 file changed, 184 deletions(-)

commit b7e9444c88051c292f2824c9c9cd78f5c053b24e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:09:16 2012 +0100

    2.0: Remove deprecated headers from the build

 clutter/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit c7c9ce8c9c97986d0b3b0a330b37c04588a00c9f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 23 17:38:23 2012 +0100

    2.0: Remove deprecated sources from the build
    
    This drops all the deprecated sources and header files, including the
    ClutterX11 and ClutterGlx symbols.

 clutter/Makefile.am | 123 ----------------------------------------------------
 1 file changed, 123 deletions(-)

commit a2993f5de34b999f032e973e3a495297ac25807f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 23 17:37:40 2012 +0100

    2.0: First pass at deprecated API removal
    
    This is the minimum required commit to get Clutter and the examples
    building.

 clutter/clutter-actor-private.h  |    9 -
 clutter/clutter-actor.c          | 2413 ++------------------------------------
 clutter/clutter-animatable.c     |   74 --
 clutter/clutter-interval.c       |   15 -
 clutter/clutter-layout-manager.c |  281 +----
 clutter/clutter-layout-manager.h |   20 -
 clutter/clutter-script-parser.c  |  259 +---
 clutter/clutter-script-private.h |    5 -
 clutter/clutter-script.c         |  296 -----
 clutter/clutter-stage.c          |    4 +-
 clutter/clutter-stage.h          |    4 +-
 clutter/clutter-swipe-action.c   |   44 +-
 12 files changed, 123 insertions(+), 3301 deletions(-)

commit 4da1b8b523025e7a0fe8690b98718f6db3714839
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 23 17:36:22 2012 +0100

    2.0: Drop deprecated classes from Cally
    
    CallyGroup, CallyTexture, and CallyRectangle are not needed any more.

 clutter/cally/cally-stage.c | 2 +-
 clutter/cally/cally-stage.h | 4 ++--
 clutter/cally/cally.c       | 9 ---------
 3 files changed, 3 insertions(+), 12 deletions(-)

commit 29c42bfe8e16dfe83b9d0e63847a86751b97c9f6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 20:11:43 2012 +0100

    2.0: Bump clutter-1.0 to clutter-2.0
    
    Some places in the build system do not (or cannot) use the macro-ified
    CLUTTER_API_VERSION, so we need to fix them up manually.

 autogen.sh                                         |   2 +-
 clutter/abicheck.sh                                |   2 +-
 clutter/cally/cally.pc.in                          |   2 +-
 clutter/clutter-main.c                             |   4 +-
 configure.ac                                       |   2 +-
 doc/cookbook/examples/Makefile.am                  |   2 +-
 .../examples/events-pointer-motion-stacked.c       |   2 -
 doc/cookbook/introduction.xml                      |   6 +-
 doc/reference/clutter/running-clutter.xml          |   4 +-
 po/Makevars                                        |   2 +-
 tests/data/Makefile.am                             |   2 +-
 tests/data/clutter-1.0.suppressions                | 173 ---------------------
 tests/data/clutter-2.0.suppressions                | 173 +++++++++++++++++++++
 13 files changed, 187 insertions(+), 189 deletions(-)

commit 27977408853a1b91c3aff934ac009aaaf2d4759b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 19:07:27 2012 +0100

    2.0: Define a separate clutter_api_version_am macro
    
    We cannot use $CLUTTER_MAJOR_VERSION during 1.99.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 89a2862b057423c3c1fc666e6fa776ccacf377dd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 23 16:23:32 2012 +0100

    2.0: Bump API version

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
